Mailinglist Archive: opensuse-factory (188 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20181219 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20181219

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
ImageMagick (7.0.8.14 -> 7.0.8.17)
MozillaFirefox (63.0.3 -> 64.0)
aaa_base (84.87+git20181113.08d4125 -> 84.87+git20181210.841bf8f)
accountsservice
akonadi-calendar (18.08.3 -> 18.12.0)
akonadi-calendar-tools (18.08.3 -> 18.12.0)
akonadi-contact (18.08.3 -> 18.12.0)
akonadi-import-wizard (18.08.3 -> 18.12.0)
akonadi-mime (18.08.3 -> 18.12.0)
akonadi-notes (18.08.3 -> 18.12.0)
akonadi-search (18.08.3 -> 18.12.0)
akonadi-server (18.08.3 -> 18.12.0)
akregator (18.08.3 -> 18.12.0)
ark (18.08.3 -> 18.12.0)
atkmm1_6 (2.24.2 -> 2.28.0)
attica-qt5 (5.52.0 -> 5.53.0)
baloo5 (5.52.0 -> 5.53.0)
baloo5-widgets (18.08.3 -> 18.12.0)
bind
bluez-qt (5.52.0 -> 5.53.0)
breeze5-icons (5.52.0 -> 5.53.0)
build (20181022 -> 20181206)
calendarsupport (18.08.3 -> 18.12.0)
ceph (14.0.0.4389+g4c34d15e48 -> 14.0.1.1555+g42662f72f4)
dolphin (18.08.3 -> 18.12.0)
dragonplayer (18.08.3 -> 18.12.0)
eventviews (18.08.3 -> 18.12.0)
evolution (3.30.2 -> 3.30.3)
evolution-data-server (3.30.2 -> 3.30.3)
evolution-ews (3.30.2 -> 3.30.3)
farstream
flatpak (1.0.5 -> 1.0.6)
frameworkintegration (5.52.0 -> 5.53.0)
gcab (1.1 -> 1.2)
gedit
git (2.19.2 -> 2.20.1)
glibmm2_4 (2.56.0 -> 2.58.0)
gnome-contacts (3.30.1 -> 3.30.2)
gnome-maps (3.30.2.1 -> 3.30.3)
gnome-photos
gnome-software (3.30.5 -> 3.30.6)
gnome-terminal
gnome-tweaks (3.30.1 -> 3.30.2)
gobject-introspection (1.58.1 -> 1.58.2)
gpg2 (2.2.11 -> 2.2.12)
grantleetheme (18.08.3 -> 18.12.0)
gtk3 (3.24.1 -> 3.24.2)
gtkmm3 (3.22.2 -> 3.24.0)
gwenview5 (18.08.3 -> 18.12.0)
incidenceeditor (18.08.3 -> 18.12.0)
inst-source-utils (2018.12.05 -> 2018.12.10)
ipset (7.0 -> 7.1)
kaccounts-integration (18.08.3 -> 18.12.0)
kaccounts-providers (18.08.3 -> 18.12.0)
kactivities-stats (5.52.0 -> 5.53.0)
kactivities5 (5.52.0 -> 5.53.0)
kaddressbook (18.08.3 -> 18.12.0)
kalarmcal (18.08.3 -> 18.12.0)
kamera (18.08.3 -> 18.12.0)
karchive (5.52.0 -> 5.53.0)
kate (18.08.3 -> 18.12.0)
kauth (5.52.0 -> 5.53.0)
kbookmarks (5.52.0 -> 5.53.0)
kcalc (18.08.3 -> 18.12.0)
kcalcore (18.08.3 -> 18.12.0)
kcalutils (18.08.3 -> 18.12.0)
kcharselect (18.08.3 -> 18.12.0)
kcmutils (5.52.0 -> 5.53.0)
kcodecs (5.52.0 -> 5.53.0)
kcolorchooser (18.08.3 -> 18.12.0)
kcompletion (5.52.0 -> 5.53.0)
kconfig (5.52.0 -> 5.53.0)
kconfigwidgets (5.52.0 -> 5.53.0)
kcontacts (18.08.3 -> 18.12.0)
kcoreaddons (5.52.0 -> 5.53.1)
kcrash (5.52.0 -> 5.53.0)
kdav (18.08.3 -> 18.12.0)
kdbusaddons (5.52.0 -> 5.53.0)
kdebase4-runtime
kdebase4-workspace
kdeclarative (5.52.0 -> 5.53.0)
kded (5.52.0 -> 5.53.0)
kdelibs4support (5.52.0 -> 5.53.0)
kdenetwork4-filesharing (18.08.3 -> 18.12.0)
kdepim-addons (18.08.3 -> 18.12.0)
kdepim-apps-libs (18.08.3 -> 18.12.0)
kdepim-runtime (18.08.3 -> 18.12.0)
kdesu (5.52.0 -> 5.53.0)
kdevelop5
kdialog (18.08.3 -> 18.12.0)
kdnssd-framework (5.52.0 -> 5.53.0)
kdoctools (5.52.0 -> 5.53.0)
kemoticons (5.52.0 -> 5.53.0)
kfilemetadata5 (5.52.0 -> 5.53.0)
kglobalaccel (5.52.0 -> 5.53.0)
kguiaddons (5.52.0 -> 5.53.0)
khelpcenter5 (18.08.3 -> 18.12.0)
kholidays (5.52.0 -> 5.53.0)
khtml (5.52.0 -> 5.53.0)
ki18n (5.52.0 -> 5.53.0)
kiconthemes (5.52.0 -> 5.53.0)
kidentitymanagement (18.08.3 -> 18.12.0)
kidletime (5.52.0 -> 5.53.0)
kimageformats (5.52.0 -> 5.53.0)
kimap (18.08.3 -> 18.12.0)
kinit (5.52.0 -> 5.53.0)
kio (5.52.0 -> 5.53.0)
kio-extras5 (18.08.3 -> 18.12.0)
kio_audiocd (18.08.3 -> 18.12.0)
kirigami2 (5.52.0 -> 5.53.0)
kitemmodels (5.52.0 -> 5.53.0)
kitemviews (5.52.0 -> 5.53.0)
kitinerary (18.08.3 -> 18.12.0)
kjobwidgets (5.52.0 -> 5.53.0)
kjs (5.52.0 -> 5.53.0)
kjsembed (5.52.0 -> 5.53.0)
kldap (18.08.3 -> 18.12.0)
kleopatra (18.08.3 -> 18.12.0)
kmag (18.08.3 -> 18.12.0)
kmail (18.08.3 -> 18.12.0)
kmail-account-wizard (18.08.3 -> 18.12.0)
kmailtransport (18.08.3 -> 18.12.0)
kmbox (18.08.3 -> 18.12.0)
kmime (18.08.3 -> 18.12.0)
kmousetool (18.08.3 -> 18.12.0)
knewstuff (5.52.0 -> 5.53.0)
knotes (18.08.3 -> 18.12.0)
knotifications (5.52.0 -> 5.53.0)
knotifyconfig (5.52.0 -> 5.53.0)
kompare (18.08.3 -> 18.12.0)
konsole (18.08.3 -> 18.12.0)
kontact (18.08.3 -> 18.12.0)
kontactinterface (18.08.3 -> 18.12.0)
kopete (18.08.3 -> 18.12.0)
korganizer (18.08.3 -> 18.12.0)
kpackage (5.52.0 -> 5.53.0)
kparts (5.52.0 -> 5.53.0)
kpeople5 (5.52.0 -> 5.53.0)
kpimtextedit (18.08.3 -> 18.12.0)
kpkpass (18.08.3 -> 18.12.0)
kplotting (5.52.0 -> 5.53.0)
kpty (5.52.0 -> 5.53.0)
kross (5.52.0 -> 5.53.0)
kruler (18.08.3 -> 18.12.0)
krunner (5.52.0 -> 5.53.0)
kservice (5.52.0 -> 5.53.0)
ksmtp (18.08.3 -> 18.12.0)
ktexteditor (5.52.0 -> 5.53.0)
ktextwidgets (5.52.0 -> 5.53.0)
ktnef (18.08.3 -> 18.12.0)
kunitconversion (5.52.0 -> 5.53.0)
kwallet (5.52.0 -> 5.53.0)
kwalletmanager5 (18.08.3 -> 18.12.0)
kwayland (5.52.0 -> 5.53.0)
kwidgetsaddons (5.52.0 -> 5.53.0)
kwindowsystem (5.52.0 -> 5.53.0)
kxmlgui (5.52.0 -> 5.53.0)
kxmlrpcclient5 (5.52.0 -> 5.53.0)
libKF5ModemManagerQt (5.52.0 -> 5.53.0)
libKF5NetworkManagerQt (5.52.0 -> 5.53.0)
libassuan (2.5.1 -> 2.5.2)
libbytesize (1.3 -> 1.4)
libgravatar (18.08.3 -> 18.12.0)
libjpeg-turbo
libkcddb (18.08.3 -> 18.12.0)
libkcompactdisc (18.08.3 -> 18.12.0)
libkdcraw (18.08.3 -> 18.12.0)
libkdepim (18.08.3 -> 18.12.0)
libkexiv2 (18.08.3 -> 18.12.0)
libkgapi (18.08.3 -> 18.12.0)
libkipi (18.08.3 -> 18.12.0)
libkleo (18.08.3 -> 18.12.0)
libkomparediff2 (18.08.3 -> 18.12.0)
libksane (18.08.3 -> 18.12.0)
libksieve (18.08.3 -> 18.12.0)
libproxy
libproxy-plugins
libqt5-qttranslations (5.11.2 -> 5.12.0)
libqt5-qtvirtualkeyboard (5.11.2 -> 5.12.0)
libraw (0.19.0 -> 0.19.1)
librsvg (2.44.9 -> 2.44.10)
libsigc++2 (2.10.0 -> 2.10.1)
libsolv (0.7.1 -> 0.7.2)
libtool
libzypp (17.10.1 -> 17.10.3)
mailcommon (18.08.3 -> 18.12.0)
mailimporter (18.08.3 -> 18.12.0)
mdadm (4.0 -> 4.1)
messagelib (18.08.3 -> 18.12.0)
mobipocket (18.08.3 -> 18.12.0)
mozilla-nss (3.39 -> 3.40.1)
mtools (4.0.20 -> 4.0.22)
nautilus (3.30.4 -> 3.30.5)
okular (18.08.3 -> 18.12.0)
openssh
os-prober
oxygen5-icon-theme (5.52.0 -> 5.53.0)
pam-config (0.95 -> 0.96)
pangomm1_4 (2.40.1 -> 2.42.0)
patterns-gnome
pcre2
perl (5.26.2 -> 5.28.1)
perl-JSON (2.97001 -> 4.00)
php7 (7.2.12 -> 7.3.0)
pimcommon (18.08.3 -> 18.12.0)
plasma-framework (5.52.0 -> 5.53.0)
plasma5-desktop
prison-qt5 (5.52.0 -> 5.53.0)
purpose (5.52.0 -> 5.53.0)
python-rpm-macros (2018.08.15.ada6d63 -> 20181211.ab6f37c)
seahorse (3.30 -> 3.30.1.1)
solid (5.52.0 -> 5.53.0)
sonnet (5.52.0 -> 5.53.0)
spectacle (18.08.3 -> 18.12.0)
syndication (5.52.0 -> 5.53.0)
syntax-highlighting (5.52.0 -> 5.53.0)
systemd-presets-branding-openSUSE
texinfo
threadweaver (5.52.0 -> 5.53.0)
totem (3.26.2 -> 3.30.0)
tuned (2.8.0 -> 2.10.0)
unbound (1.8.1 -> 1.8.3)
vala (0.42.2 -> 0.42.3)
vte (0.54.2 -> 0.54.3)
webkit2gtk3 (2.22.4 -> 2.22.5)
xdm
yast2-apparmor (4.1.1 -> 4.1.3)
zypper (1.14.17 -> 1.14.19)

=== Details ===

==== ImageMagick ====
Version update (7.0.8.14 -> 7.0.8.17)
Subpackages: ImageMagick-extra libMagick++-7_Q16HDRI4 libMagickCore-7_Q16HDRI6
libMagickWand-7_Q16HDRI6 perl-PerlMagick

- update to 7.0.8-17:
* Support -clahe clip limit with percentages (e.g. -clahe
50x50%+128+3).
- update to 7.0.8-16:
* Add support for -clahe clip limit with percentages (e.g. -clahe 2x2+128+3%)
* Check for modulo underflow.
* Change SVG default DPI to 96 from 90 to meet recommendation of SVG2 & CSS.
* Added support for the -clahe option: contrast limited adaptive histogram
equalization.
* Added support for GIMP 2.10 files (reference
https://github.com/ImageMagick/ImageMagick/pull/1381).

==== MozillaFirefox ====
Version update (63.0.3 -> 64.0)
Subpackages: MozillaFirefox-translations-common

- Switch aarch64 builds back to gcc, not clang (bmo#1513605)
- Switch %arm builds back to gcc, not clang to avoid OOM
- Fix build flags when clang is not used
- Fix flags for clang ppc64 builds
- update to Firefox 64.0
* Better recommendations: You may see suggestions in regular browsing
mode for new and relevant Firefox features, services, and extensions
based on how you use the web (for US users only)
* Enhanced tab management: You can now select multiple tabs from the
tab bar and close, move, bookmark, or pin them quickly and easily
* Easier performance management: The new Task Manager page found at
about:performance lets you see how much energy each open tab consumes
and provides access to close tabs to conserve power
* Improved performance for Mac and Linux users, by enabling link time
optimization (Clang LTO).
* Added option to remove add-ons using the context menu on their
toolbar buttons
* RSS feed preview and live bookmarks are available only via add-ons
* TLS certificates issued by Symantec are no longer trusted by Firefox.
Website operators are strongly encouraged to replace any remaining
Symantec TLS certificates as soon as possible
MFSA 2018-29 (bsc#1119105)
* CVE-2018-12407 bmo#1505973
Buffer overflow with ANGLE library when using VertexBuffer11 module
* CVE-2018-17466 bmo#1488295
Buffer overflow and out-of-bounds read in ANGLE library with
TextureStorage11
* CVE-2018-18492 bmo#1499861
Use-after-free with select element
* CVE-2018-18493 bmo#1504452
Buffer overflow in accelerated 2D canvas with Skia
* CVE-2018-18494 bmo#1487964
Same-origin policy violation using location attribute and
performance.getEntries to steal cross-origin URLs
* CVE-2018-18495 bmo#1427585
WebExtension content scripts can be loaded in about: pages
* CVE-2018-18496 bmo#1422231 (Windows only)
Embedded feed preview page can be abused for clickjacking
* CVE-2018-18497 bmo#1488180
WebExtensions can load arbitrary URLs through pipe separators
* CVE-2018-18498 bmo#1500011
Integer overflow when calculating buffer sizes for images
* CVE-2018-12406 bmo#1456947 bmo#1475669 bmo#1504816 bmo#1502886
bmo#1500064 bmo#1500310 bmo#1500696 bmo#1498765 bmo#1499198 bmo#1434490
bmo#1481745 bmo#1458129
Memory safety bugs fixed in Firefox 64
* CVE-2018-12405 bmo#1494752 bmo#1503326 bmo#1505181 bmo#1500759
bmo#1504365 bmo#1506640 bmo#1503082 bmo#1502013 bmo#1510471
Memory safety bugs fixed in Firefox 64 and Firefox ESR 60.4
- requires
* rust/cargo >= 1.29
* mozilla-nss >= 3.40.1
* rust-cbindgen >= 0.6.4
- rebased patches
- removed obsolete patch
* mozilla-bmo1491289.patch
- now uses clang primarily for compilation
- Remove --disable-elf-hack when not available: on aarch64 and ppc64*

==== aaa_base ====
Version update (84.87+git20181113.08d4125 -> 84.87+git20181210.841bf8f)
Subpackages: aaa_base-extras

- Update to version 84.87+git20181210.841bf8f:
* Set HISTTIMEFORMAT and HISTCONTROL only if unset (boo#1112653)

==== accountsservice ====
Subpackages: accountsservice-lang libaccountsservice0
typelib-1_0-AccountsService-1_0

- Add accountsservice-read-root-user-cache.patch: Read root user
cache file (bsc#1114292 glfo#accountsservice/accountsservice#65).

==== akonadi-calendar ====
Version update (18.08.3 -> 18.12.0)
Subpackages: akonadi-calendar-lang akonadi-plugin-calendar
libKF5AkonadiCalendar5

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* Allow to use debug categories
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* use new syntax
* Remove deprecated method

==== akonadi-calendar-tools ====
Version update (18.08.3 -> 18.12.0)
Subpackages: akonadi-calendar-tools-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* Make it compile with KDEFrameworkCompilerSettings
* Add category support

==== akonadi-contact ====
Version update (18.08.3 -> 18.12.0)
Subpackages: akonadi-contact-lang akonadi-plugin-contacts libKF5AkonadiContact5
libKF5ContactEditor5

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* Fix mem leak found by asan
* Fix mem leak found by asan
* Add serializer debug categories
* Fix Mapquest URL
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Add autotest for blogfeed
* Fix Bug 400482 - existing blog feed is not editable/erasable (kde#400482)
* Add support for blog feed
* Improve autotest
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* use new syntax
* Make more strict
* Remove warning

==== akonadi-import-wizard ====
Version update (18.08.3 -> 18.12.0)
Subpackages: akonadi-import-wizard-lang libKPimImportWizard5

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Use QStringLiteral
* use new syntax

==== akonadi-mime ====
Version update (18.08.3 -> 18.12.0)
Subpackages: akonadi-mime-lang akonadi-plugin-mime libKF5AkonadiMime5

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* use new syntax
* Remove some redundant Q_REQUIRED_RESULT

==== akonadi-notes ====
Version update (18.08.3 -> 18.12.0)
Subpackages: akonadi-notes-lang libKF5AkonadiNotes5

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51

==== akonadi-search ====
Version update (18.08.3 -> 18.12.0)
Subpackages: akonadi-search-lang libKF5AkonadiSearch

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* License maintenance: GPLv2 -> GPLv2+
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Fix minor EBN issues and typos
* Use QString()
* Add option to not build the KRunner plugin
* Add akonadisearch in description otherwise we don't know if it's akonadi
* Use new syntax
* Add flag for the future

==== akonadi-server ====
Version update (18.08.3 -> 18.12.0)
Subpackages: akonadi-server-lang akonadi-server-sqlite libKF5AkonadiAgentBase5
libKF5AkonadiCore5 libKF5AkonadiPrivate5 libKF5AkonadiWidgets5 libKF5AkonadiXml5

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* Fix ModelSpy (and thus some model tests)
* Fix ItemStoreTest
* Fix creating new tags with null parent
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* Akonadi: ignore remote ID if it's empty
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Too many changes to list here

==== akregator ====
Version update (18.08.3 -> 18.12.0)
Subpackages: akregator-lang

- Add Dont-crash-with-Qt-5.11.patch to fix possible crashes when
opening and closing webpages in Akregator (boo#1118052,
kde#371511)
- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* Zoom is not implemented so remove it from the settings
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Too many changes to list here

==== ark ====
Version update (18.08.3 -> 18.12.0)
Subpackages: ark-lang libkerfuffle18

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Add donation url to appdata
* clizip: Insert break statement
* Bump minimum Qt version to 5.8
* Get rid of gcc warnings
* Fix zstd autotest on Jenkins
* Remove extra semicolon
* Add caption to the screenshot
* Add a missing end parenthesis
* Update copyright year
* Add support for Zstd-compressed Tar-archives
* libzipplugin: Simplify registration of progress callbacks
* Introduce default value for OperationMode enum
* Use Ark part only when mime type exactly matches a supported type
(kde#398531)
* Use KDEFrameworkCompilerSettings
* Silence up false positive EBN check and fix some typos
* Use lambdas instead of QSignalMapper
* [CompressFileItemAction] Don't offer for non-local URLs
* Add new option (-m) to man page
* Add --mimetypes command line option
- Refreshed patches:
* lower-libarchive-minimum-version.patch

==== atkmm1_6 ====
Version update (2.24.2 -> 2.28.0)

- Update to version 2.28.0:
+ No changes, version bump only.
- Changes from version 2.24.3:
+ Fix silent builds.
+ Text: Plug memory leaks in get_text_vfunc() and
get_selection_vfunc(). These vfuncs shall delete the returned
character array after it has been copied to a Glib::ustring.
+ Replace the Visual Studio project files with MSVC NMake project
files.

==== attica-qt5 ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5Attica5

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use isEmpty
* Use new syntax
* Add missing override
* Remove Qt include prefix

==== baloo5 ====
Version update (5.52.0 -> 5.53.0)
Subpackages: baloo5-file baloo5-file-lang baloo5-imports baloo5-imports-lang
baloo5-kioslaves baloo5-kioslaves-lang baloo5-tools baloo5-tools-lang
libKF5Baloo5 libKF5BalooEngine5 libKF5BalooEngine5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Remove duplicated code for rating property
* Extend unit tests to check comparisons of multi-digit numeric properties
* Fix searches for rating 10 (5 stars) (kde#357960)
* Remove extra spaces from Debug output, insert delimiters between fields
* Use isEmpty()
* Avoid writing unchanged data to terms dbs
* Reserve space in pending operations vector
* Remove unused QByteArray include
* Replace Latin1 character remnant with escaped UTF-8 sequence
* Cleanup comments for MS Office mimetypes in typesForMimetype
* Remove unused wdfInc parameter for addTerm and addPositionTerm
* Use append instead of operator+= when appending to an QVector<int>
* Do not add Type::Document/Presentation/Spreadsheet twice for MS Office docs
* Add missing return in error/fixup path
* actually initialize kcrash properly
* Add unittest for document replacement
* Make sure there is only one MTime per document in the MTimeDB
* Extend diagnostic output for DB autotests
* Use new syntax
* [Extractor] Use QDataStream serialization in place of cooked one
* [Extractor] Replace homegrown IO handler with QDataStream, catch HUP
* Unbreak build with BUILD_QCH=TRUE

==== baloo5-widgets ====
Version update (18.08.3 -> 18.12.0)
Subpackages: baloo5-widgets-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* Fix display of string lists
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* hide more properties from kfilemetadata
* Fix minor EBN issues
* Use the more common string "Edit" in place of "Change" (kde#398309)

==== bind ====
Subpackages: bind-chrootenv bind-doc bind-utils libbind9-160 libdns169
libirs160 libisc166 libisccc160 libisccfg160 liblwres160 python3-bind

- Don't rely on /etc/insserv.conf anymore for proper dependencies
against nss-lookup.target in named.service and lwresd.service
(bsc#1118367 bsc#1118368)

==== bluez-qt ====
Version update (5.52.0 -> 5.53.0)
Subpackages: bluez-qt-imports bluez-qt-udev libKF5BluezQt6

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Remove qt prefix include

==== breeze5-icons ====
Version update (5.52.0 -> 5.53.0)

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Add icons for application-vnd.appimage/x-iso9660-appimage
* Add 22px dialog-warning icon (kde#397983)
* Move firewall-applet icons to status category
* Fix angle and margin of 32px dialog-ok-apply (kde#393608)
* Resolve merge conflict
* Add mouse button icons
* Change primary monochrome icon colors to match new HIG colors
* Change archive-* action icons to represent archives (kde#399253)
* Add help-browser symlink to 16px and 22px directories (kde#400852)
* Add new generic sorting icons; rename existing sorting icons
* Added a set of Game Folder icons
* Fix a small color and shadow issue with Kdots icon
* Fix contrast and other small visual issues of Kdots icon
* Create new Sublime Text icon
* Add new icons for root
* Add root version of drive-harddisk (kde#399307)

==== build ====
Version update (20181022 -> 20181206)
Subpackages: build-mkbaselibs build-mkdrpms

- support jumping into KVM debug shells using "--vm-type=kvm --shell"
- adapt to new containerd CLI syntax
- Support a new 'UseOBSRepositories' flag
- lxc 3 support
- power9 fixes
- Generate a .milestone artifact for kiwi product builds
- Support rpm's new '^' separator in version comparison
- Allow to specify extra image repos with <!-- OBS-Imagerepo: -->
- Rework release handling of containers
- Add Leap 15.1 config

==== calendarsupport ====
Version update (18.08.3 -> 18.12.0)
Subpackages: calendarsupport-lang libKF5CalendarSupport5

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* use new syntax
* Port deprecated method

==== ceph ====
Version update (14.0.0.4389+g4c34d15e48 -> 14.0.1.1555+g42662f72f4)

- Update to 14.0.1-1555-g42662f72f4:
+ spec: fix libradospp-devel runtime dependency
+ spec: remove redundant "Provides: libxio" and "Obsoletes: libxio"
+ spec: explicitly require python3-Cython < 0.29 (bsc#1118611)
- _constraints: Increase aarch64 disk space constraint for ceph-test
to address build failure seen in openSUSE:Factory:ARM
- Update to 14.0.1-1547-g08fca371b5:
+ spec file: make ceph-common remove provides for libradosstriper1
+ use root:graphana for the dashboard directories on suse
- _constraints: remove duplicated aarch64 ceph-test entry
- Update to v14.0.1-1546-ge9be8525c8:
+ mgr/volumes: Fix Python 3 import error
(fixes cluster deployment in py3 environment)
- Update to v14.0.1-1545-g01bead277f:
+ based on upstream master 4d3cc9f9092d8a86d128192a811733ce23ad070a
+ plus two spec file fixes:
* make ceph-grafana-dashboards own its directories
http://tracker.ceph.com/issues/37485
* fix cython package version to less than 0.29
http://tracker.ceph.com/issues/37472
- spec file: make ceph-common provide/obsolete libradosstriper1
(in SES5 ceph-common requires libradosstriper1 with exact version match,
while in SES6 there is no libradosstriper1 at all)
- Update to v14.0.1-154-g7588072b82:
+ based on upstream nautilus 5f51cd286b747b1729006a5b98fb08b1b646237a
(v14.0.1 release)

==== dolphin ====
Version update (18.08.3 -> 18.12.0)
Subpackages: dolphin-part dolphin-part-lang libdolphinvcs5

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* KItemListWidget: Use initStyleOption
* Fix selection when navigating back, with size sorting. (kde#352296)
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* Do not disconnect all StorageAccess signals when unmounting (kde#400992)
* Improve Ux for the places panel's hidden items (kde#400860)
* move kcrash link to dolphin app (which is the effective user)
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Too many changes to list here

==== dragonplayer ====
Version update (18.08.3 -> 18.12.0)
Subpackages: dragonplayer-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Add donation url to appdata
* unbreak version
* Fix minor EBN issues

==== eventviews ====
Version update (18.08.3 -> 18.12.0)
Subpackages: eventviews-lang libKF5EventViews5

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* Fix mem leak found by asan
* Fix mem leak. Found by asan
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Remove virtual keyword
* Improve contrast in header from agendaitem
* Replace old connect with QT5 style in eventsview (Part 1)
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* Fix a bug created in D16377
* Using the system palette for drawing the month- and agendaitem.
* Rewrite the painting of an month item
* Rewrite the painting part of agendaitem
* use new syntax
* Port deprecated method

==== evolution ====
Version update (3.30.2 -> 3.30.3)
Subpackages: evolution-lang evolution-plugin-bogofilter
evolution-plugin-pst-import evolution-plugin-spamassassin

- Update to version 3.30.3:
+ Make sure intltool-merge cache is created only once.
+ Correct evolution-mail-formatter user documentation build
warning.
+ [EWebView] Use case insensitive search when highlighting words
in the body.
+ e_mail_formatter_format_address: Quote name part when it
contains special letters.
+ [SRV config lookup] Preset authentication method for SMTP.
+ [Flatpak manifests] Build geocode-glib directly with meson.
+ Bugs Fixed: bgo#652821, glgo#GNOME/evolution#51,
glgo#GNOME/evolution#154, glgo#GNOME/evolution#169,
glgo#GNOME/evolution#180, glgo#GNOME/evolution#182,
glgo#GNOME/evolution#187, glgo#GNOME/evolution#196,
glgo#GNOME/evolution#198, glgo#GNOME/evolution#208,
glgo#GNOME/evolution#214, glgo#GNOME/evolution#238,
glgo#GNOME/evolution#252, glgo#GNOME/evolution#254,
glgo#GNOME/evolution#162.
+ Updated translations.

==== evolution-data-server ====
Version update (3.30.2 -> 3.30.3)
Subpackages: evolution-data-server-lang libcamel-1_2-62 libebackend-1_2-10
libebook-1_2-19 libebook-contacts-1_2-2 libecal-1_2-19 libedata-book-1_2-25
libedata-cal-1_2-29 libedataserver-1_2-23 libedataserverui-1_2-2

- Update to version 3.30.3:
+ [IMAPx] Fix a concurrent message download issue.
+ Make sure intltool-merge cache is created only once.
+ test-cal-client-get-revision could fail due to delayed D-Bus
property change notification.
+ [evolution-dbus-session] Handle method calls with GUnixFDList.
+ Deadlock when marking as read message in a search folder.
+ [CalDAV/CardDAV] Can add component to local cache with
incomplete info.
+ Copy messages within mail filters immediately.
+ Correct use-after-free in
e_vcard_attribute_remove_param_value().
+ Replace evolution-dbus-session tool with DBUS_SERVICES_PREFIX
option.
+ [Camel] Address compiler warning in
header_address_list_encode_append().
+ Relax runtime check in e_cal_util_get_system_timezone().
+ [Flatpak] Save passwords in libsecret with the same prefix as
used by D-Bus services.
+ [test-server-utils] Correct when open of deprecated
book/calendar is retried.
+ [test-cal-client-get-free-busy] Enhance the test execution.
+ [Flatpak] Make alarm-notify use the D-Bus services prefix,if
specified.
+ Bugs fixed: bgo#719328, glgo#GNOME/evolution-data-server#196,
glgo#GNOME/evolution-data-server#5,
glgo#GNOME/evolution-data-server#49,
glgo#GNOME/evolution-data-server#51,
glgo#GNOME/evolution-data-server#55,
glgo#GNOME/evolution-data-server#56,
glgo#GNOME/evolution-data-server#62,
glgo#GNOME/evolution-data-server#63,
glgo#GNOME/evolution-data-server#64.
+ Updated translations.

==== evolution-ews ====
Version update (3.30.2 -> 3.30.3)
Subpackages: evolution-ews-lang

- Update to version 3.30.3:
+ Make sure intltool-merge cache is created only once.
+ Calendar: Retry item download on ErrorBatchProcessingStopped
error.

==== farstream ====
Subpackages: farstream-data gstreamer-plugins-farstream libfarstream-0_2-5

- Add farstream-0.2.8-rtpbitrateadapter-no-adaptation.patch:
rtpbitrateadapter should make no adaption by default (bgo#99183).

==== flatpak ====
Version update (1.0.5 -> 1.0.6)
Subpackages: libflatpak0 typelib-1_0-Flatpak-1_0

- Update to version 1.0.6:
* This release fixes an issue that lets system-wide installed
applications create setuid root files inside their app dir
(somewhere in /var/lib/flatpak/app). Setuid support is disabled
inside flatpaks, so such files are only a risk if the user runs
them manually outside flatpak. Installing a flatpak system-wide
needs root access, so this isn't a privilege elevation for
non-root users.
* The permissions of the files created by the apply_extra script is
canonicalized and the script itself is run without any capabilities.
* Better matching of existing remotes when the local and remote configuration
differs wrt collection ids.
* New flatpakrepo DeployCollectionID replaces CollectionID, doing the
same thing. It is recommended to use this instead because older versions
of flatpak has bugs in the support of collection ids, and this key
will only be respected in versions where it works.
* The X11 socket is now mounted read-only.
- Mark flatpak.sh as %config and move the systemhelper dbus config
file under /usr
- Remove the flatpak-rpmlintrc file that is no longer needed.

==== frameworkintegration ====
Version update (5.52.0 -> 5.53.0)
Subpackages: frameworkintegration-plugin libKF5Style5

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Add option BUILD_KPACKAGE_INSTALL_HANDLERS to skip building install handlers

==== gcab ====
Version update (1.1 -> 1.2)
Subpackages: gcab-lang libgcab-1_0-0

- Update to version 1.2:
+ build-sys:
- Fix installing the includes.
- Don't require git to build.
+ gcab: Fix regression. Apparently, rewinding should reset the
CDATA state.
+ Updated translations.
- Drop gcab-fix-installing-the-includes.patch and
gcab-revert-git-dep.patch: Fixed upstream.

==== gedit ====
Subpackages: gedit-lang python3-gedit

- Add upstream bugfix patches:
+ gedit-notebook-close-with-mmb.patch: notebook: Allow closing of
tabs with middle mouse button.
+ gedit-document-selector-make-search-caseless.patch: document
selector: make search caseless.
+ gedit-fix-assert-when-going-up-in-tree.patch: file-browser: fix
assert when going up in the tree.

==== git ====
Version update (2.19.2 -> 2.20.1)
Subpackages: git-core git-cvs git-daemon git-email git-gui git-svn git-web gitk

- git 2.20.1:
* portability fixes
* "git help -a" did not work well when an overly long alias was
defined
* no longer squelched an error message when the run_command API
failed to run a missing command
- git 2.20.0
* "git help -a" now gives verbose output (same as "git help -av").
Those who want the old output may say "git help --no-verbose -a"..
* "git send-email" learned to grab address-looking string on any
trailer whose name ends with "-by".
* "git format-patch" learned new "--interdiff" and "--range-diff"
options to explain the difference between this version and the
previous attempt in the cover letter (or after the three-dashes as
a comment).
* Developer builds now use -Wunused-function compilation option.
* Fix a bug in which the same path could be registered under multiple
worktree entries if the path was missing (for instance, was removed
manually). Also, as a convenience, expand the number of cases in
which --force is applicable.
* The overly large Documentation/config.txt file have been split into
million little pieces. This potentially allows each individual piece
to be included into the manual page of the command it affects more easily.
* Malformed or crafted data in packstream can make our code attempt
to read or write past the allocated buffer and abort, instead of
reporting an error, which has been fixed.
* Fix for a long-standing bug that leaves the index file corrupt when
it shrinks during a partial commit.
* "git merge" and "git pull" that merges into an unborn branch used
to completely ignore "--verify-signatures", which has been
corrected.
* ...and much more features and fixes
- group(nogroup) is provided with Leap 15 onwards only

==== glibmm2_4 ====
Version update (2.56.0 -> 2.58.0)
Subpackages: libgiomm-2_4-1 libglibmm-2_4-1

- Update to version 2.58.0:
+ This release is identical to 2.56.1.
- Update to version 2.56.1:
+ Glib:
- ustring: Fix wchar conversion on macOS with libc++.
- Avoid compiler warnings from function pointer conversions.
+ Gio: SocketClient: Take copy in RefPtrs for signal args.
+ Build:
- Require glib-2.0 >= 2.55.1.
- Replace the Visual Studio project files with MSVC NMake
project files.

==== gnome-contacts ====
Version update (3.30.1 -> 3.30.2)
Subpackages: gnome-contacts-lang gnome-shell-search-provider-contacts

- Update to version 3.30.2:
+ Store: remove eds_persona_store_changed().
+ Contacts.Window: "Done" button actively grabs focus.
+ AccountsList: add a little bit more debugging info.
+ Store: add more debug information.
+ ContactSheet: don't duplicate fields when updating.
+ Updated translations.

==== gnome-maps ====
Version update (3.30.2.1 -> 3.30.3)
Subpackages: gnome-maps-lang

- Update to version 3.30.3:
+ Fix loading contact's adresses with newer GJS.
+ Updated translations.

==== gnome-photos ====
Subpackages: gnome-photos-lang gnome-shell-search-provider-gnome-photos

- Add facebook-item-Dont-leak-the-GFBGraphGoaAuthorizer.patch:
facebook-item: Don't leak the GFBGraphGoaAuthorizer.

==== gnome-software ====
Version update (3.30.5 -> 3.30.6)
Subpackages: gnome-software-lang

- Update to version 3.30.6:
+ Fix various thread safety related crashes.
+ Fix row unrevealing to not leave behind 2 pixels on the
updates page.
+ Make the refresh button to actually refresh packagekit cache.
+ Fix various issues that could lead to cache refresh getting
stuck.
+ Show updates available notifications even when automatic
updates are disabled.
+ Fix counting apps in the updates applied notification.
+ Improve packagekit update loading code, hopefully making it
more robust.
+ Fix an issue that could lead to the packagekit plugin
activating on rpm-ostree based systems.
+ Switch flatpak updates to use a single transaction, which lets
us share more code (and bugs) with the command line flatpak
utility.
+ Fix various issues with transitioning from the "Download" state
to "Restart & Update".
+ Don't error out from update downloads if the ODRS server is
unavailable.
+ Fix old updates accumulating in the OS Updates item.
+ Various flatpakref installation fixes.
+ Fix opening the details page when clicking on "Show Details" in
GNOME Shell.
+ Fix opening shell extensions details from GNOME Tweaks.
+ Various fixes for initial loading state.
+ Updated transactions.

==== gnome-terminal ====
Subpackages: gnome-shell-search-provider-gnome-terminal gnome-terminal-lang
nautilus-extension-terminal

- Add upstream bug fix patches:
+ gnome-terminal-Comment-out-tab-dragging-description.patch:
help: Comment out tab dragging description.
+ gnome-terminal-window-Fix-zoom-out-sensitivity.patch: window:
Fix zoom-out sensitivity.

==== gnome-tweaks ====
Version update (3.30.1 -> 3.30.2)
Subpackages: gnome-tweaks-lang

- Update to version 3.30.2:
+ Fix running Tweaks outside of GNOME Shell.
+ Mention in README that sound-theme-freedesktop is required.
+ Updated translations.

==== gobject-introspection ====
Version update (1.58.1 -> 1.58.2)
Subpackages: girepository-1_0 libgirepository-1_0-1

- Update to version 1.58.2:
+ meson: Fix random build errors (mostly MSVC).
+ scanner:
- Fix parsing of __typeof__ that is part of a cast expression.
- Ignore __pragma keyword used by MSVC.

==== gpg2 ====
Version update (2.2.11 -> 2.2.12)
Subpackages: gpg2-lang

-Update to 2.2.12:
* tools: New commands --install-key and --remove-key for
gpg-wks-client. This allows to prepare a Web Key Directory on a
local file system for later upload to a web server.
* gpg: New --list-option "show-only-fpr-mbox". This makes the use
of the new gpg-wks-client --install-key command easier on Windows.
* gpg: Improve processing speed when --skip-verify is used.
* gpg: Fix a bug where a LF was accidentally written to the console.
* gpg: --card-status now shwos whether a card has the new KDF
feature enabled.
* agent: New runtime option --s2k-calibration=MSEC. New configure
option --with-agent-s2k-calibration=MSEC. [#3399]
* dirmngr: Try another keyserver from the pool on receiving a 502,
503, or 504 error. [#4175]
* dirmngr: Avoid possible CSRF attacks via http redirects. A HTTP
query will not anymore follow a 3xx redirect unless the Location
header gives the same host. If the host is different only the
host and port is taken from the Location header and the original
path and query parts are kept.
* dirmngr: New command FLUSHCRL to flush all CRLS from disk and
memory. [#3967]

==== grantleetheme ====
Version update (18.08.3 -> 18.12.0)
Subpackages: grantleetheme-lang libKF5GrantleeTheme5

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* Unify license to LGPL v2.1+
* Fix minor EBN issues
* Add endline
* use new syntax
* Make it compile with strict compile flags

==== gtk3 ====
Version update (3.24.1 -> 3.24.2)
Subpackages: gtk3-data gtk3-immodule-amharic gtk3-immodule-inuktitut
gtk3-immodule-thai gtk3-immodule-tigrigna gtk3-immodule-vietnamese
gtk3-immodule-xim gtk3-lang gtk3-tools libgtk-3-0 typelib-1_0-Gtk-3_0

- Update to version 3.24.2:
+ new api: gdk_x11_display_get_parent_relative pattern.
+ wayland: Use the settings portal when sandboxed.
+ Bugs fixed:
- widget-factory: Move app menu contents to primary menu.
- Make dashed border-style work correctly.
- gtkstack: fix null pointer dereference.
- GDK W32: Support switching input modules at runtime.
- Tooltip: Fix the used cursor size if 0 in Settings.
- quartz: Fix crash when realizing GtkOffscreenWindow.
- win32 dnd: Fix setting icon on drag-begin.
- Fix race in GtkPlug window creation.
- widget-factory: Add Keyboard Shortcuts menu item.
- quartz: do not cache the screen in the gdkmonitor.
- Trash in side bar sometimes contains a home icon.
- wayland: Avoid crashes inside wl_proxy_marshal.
- gtkimcontextime.c: Fix Korean input.
- entry: Handle no-window events in gtk_entry_event.
- Tooltip: Fix the used cursor size if 0 in Setting.
- Notebook: Ensure menu_label updates with tab_label.
- Adwaita: Improve headerbar theming.
- win32: Make scroll behavior similar to Linux.
- fix symbolic icon rendering with new librsvg.
- emoji selector: force Emoji presentation.
- a11y: fix a crash under wayland.
+ Updated translations.
- Add gtk3-revert-Fix-deprecation-warnings.patch: Revert "Fix
deprecation warnings", fixes build.

==== gtkmm3 ====
Version update (3.22.2 -> 3.24.0)

- Update to version 3.24.0:
+ Gtk::FileChooserDialog: Allow constructing with use-header-bar.
This is a construct-only property, so it must be specified in a
constructor.
- Changes from version 3.22.3:
+ Gdk: Deprecate screen_width(), screen_height(),
screen_width_mm(), screen_height_mm(), flush().
+ Gtk:
- CellRendererPixbuf: Fix property_surface().
- AboutDialog: Fix ref count in get_logo().
- MenuItem: add_accel_label(): Make sure accelator keys are
shown.
- Settings: Undeprecate property_gtk_cursor_blink(),
property_gtk_cursor_blink_time(),
property_gtk_cursor_blink_timeout(),
property_gtk_entry_password_hint_timeout().
+ Demos: Update some demo programs.
+ Build: Replace the Visual Studio project files with MSVC NMake
project files.

==== gwenview5 ====
Version update (18.08.3 -> 18.12.0)
Subpackages: gwenview5-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* Make FindExiv2.cmake work with exiv 0.27.
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Too many changes to list here

==== incidenceeditor ====
Version update (18.08.3 -> 18.12.0)
Subpackages: incidenceeditor-lang libKF5IncidenceEditor5

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* Step 2) put icons in qrc until a new set of icons will be released for
breeze
* Remove unused code
* step 1) Remove forcing oxygen theme.
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Add missing override
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* Use QPointer here
* USe new syntax

==== inst-source-utils ====
Version update (2018.12.05 -> 2018.12.10)

- add pattern-category also to susedata, not just susedata_i18n

==== ipset ====
Version update (7.0 -> 7.1)
Subpackages: libipset13

- Update to new upstream release 7.1
* Correct the manpage about the sort option
* Implement sorting for hash types in the ipset tool
* Fix to list/save into file specified by option
- Remove ipset-file.diff (merged)

==== kaccounts-integration ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kaccounts-integration-lang libkaccounts1

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Fix minor EBN issues
* Fix unused parameters warnings
* Drop unnecessary moc include
* Fix -Wunused-lambda-capture warning
* Fix -Wextra-semi warning
* Apply modernize-use-nullptr clang-tidy fixit

==== kaccounts-providers ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kaccounts-providers-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* No code changes since 18.08.3

==== kactivities-stats ====
Version update (5.52.0 -> 5.53.0)

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* No code changes since 5.52.0

==== kactivities5 ====
Version update (5.52.0 -> 5.53.0)
Subpackages: kactivities5-imports libKF5Activities5

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Add missing override

==== kaddressbook ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kaddressbook-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Too many changes to list here

==== kalarmcal ====
Version update (18.08.3 -> 18.12.0)
Subpackages: akonadi-plugin-kalarmcal kalarmcal-lang libKF5AlarmCalendar5

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* src/kaevent.cpp - use CamelCase header for KHolidays
* Use new syntax

==== kamera ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kamera-lang kio_kamera

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Add license files to kio_kamera package
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Fix minor EBN issues

==== karchive ====
Version update (5.52.0 -> 5.53.0)

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use isEmpty()
* Use new syntax

==== kate ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kate-lang kate-plugins

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Remove ldconfig calls as there are no libraries.
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Too many changes to list here

==== kauth ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5Auth5 libKF5Auth5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* No code changes since 5.52.0

==== kbookmarks ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5Bookmarks5 libKF5Bookmarks5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use isEmpty()
* Use new syntax
* Port away from deprecated KAuthorized::authorizeKAction
* Use more member-function-pointer-based signal/slot connections
* Use more explicit constructors with internal classes
* Use QDateTime::currentDateTimeUtc().toTime_t()
* Use Q_OBJECT with QObject subclass (help debugging introspection)
* Less implicit cast from ASCII/ByteArray

==== kcalc ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kcalc-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Compile with KDEFrameworkCompilerSettings
* Refine donation url in appdata
* Corrected behaviour on repeated pressing of operator buttons (kde#57349)
* Modernize it
* Repeat last action when pressing "=" or Enter
* Remember the Bitfield editor visiblity state (kde#324429)

==== kcalcore ====
Version update (18.08.3 -> 18.12.0)

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* Fix TodoTest::testStatus
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* Need to increase it
* Make Incidence[Base] and Event Q_GADGETs
* USe new syntax

==== kcalutils ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kcalutils-lang libKF5CalendarUtils5

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* Add endline
* USe syntax

==== kcharselect ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kcharselect-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Remove ldconfig calls as there are no libraries.
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Refine donation url in appdata
* Fix minor EBN issue
* Compile with KDEFrameworkCompilerSettings module

==== kcmutils ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5KCMUtils5 libKF5KCMUtils5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use isEmpty
* Perfect alignment between QML and QWidget KCM titles
* Add context to kcmodule connection to lambdas (kde#397894)

==== kcodecs ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5Codecs5 libKF5Codecs5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Add missing override

==== kcolorchooser ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kcolorchooser-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Remove ldconfig calls, as there are no libraries.
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Use KDEFrameworkCompilerSettings
* kdelibs doesn't exist anymore
* Time to increase minimum version. Use QStringLiteral.

==== kcompletion ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5Completion5 libKF5Completion5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Mark private member pointer to pimpl interface instance const
* Use include guards matching the filename
* Include own header first
* Use more explicit with private classes
* Use member-function-pointer-based signal/slot connection

==== kconfig ====
Version update (5.52.0 -> 5.53.0)
Subpackages: kconf_update5 libKF5ConfigCore5 libKF5ConfigCore5-lang
libKF5ConfigGui5

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use isEmpty()
* normalize signal/slot

==== kconfigwidgets ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5ConfigWidgets5 libKF5ConfigWidgets5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use isEmpty()
* Use new syntax
* Mark private member pointer to pimpl interface instance const
* Use normalized slot signature
* Use member-function-pointer-based signal/slot connections

==== kcontacts ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kcontacts-lang libKF5Contacts5

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* Complete the dependency list, matters for static builds
* Make KContacts work in static builds
* Add a new ISO 3166 code to country name mapping table
* Unbreak the char encoding for Android
* Attempt to fix the Windows build
* Restore Qt 5.9 compatibility
* Add CLDR-based country to ISO code mapping
* Fix translation of country names
* Use new syntax

==== kcoreaddons ====
Version update (5.52.0 -> 5.53.1)
Subpackages: kcoreaddons-lang libKF5CoreAddons5

- Update to 5.53.1
* Hotfix release to fix a build problem
- Changes since 5.53.0:
* make it build
- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use isEmpty()
* Make it possible to use KAboutData/License/Person from QML
* KPluginFactory: fix create() apidox
* Fix crash if XDG_CACHE_HOME directory is too small or out of space
(kde#400610)

==== kcrash ====
Version update (5.52.0 -> 5.53.0)

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use new syntax

==== kdav ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kdav-lang libKPimKDAV5

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* use new syntax

==== kdbusaddons ====
Version update (5.52.0 -> 5.53.0)
Subpackages: kdbusaddons-tools libKF5DBusAddons5 libKF5DBusAddons5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Normalize signal/slot

==== kdebase4-runtime ====

- Build with libgpgmepp-devel instead of libkdepimlibs4-devel to
get rid of the dependencies on kdepimlibs4
- Add necessary boost build requirement that was pulled in by
libkdepimlibs4-devel before
- Run spec-cleaner

==== kdebase4-workspace ====

- Remove gpsd-devel BuildRequires, not only it breaks with latest
gpsd, but it is also completely unused (Plasma 4.x is no longer
present in any supported openSUSE version)

==== kdeclarative ====
Version update (5.52.0 -> 5.53.0)
Subpackages: kdeclarative-components libKF5CalendarEvents5 libKF5Declarative5
libKF5Declarative5-lang libKF5QuickAddons5

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Normalize signal/slot

==== kded ====
Version update (5.52.0 -> 5.53.0)
Subpackages: kded-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* No code changes since 5.52.0

==== kdelibs4support ====
Version update (5.52.0 -> 5.53.0)
Subpackages: kdelibs4support-lang libKF5KDELibs4Support5

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Remove qt prefix include
* Fix normalize signal/slot

==== kdenetwork4-filesharing ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kdenetwork4-filesharing-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* allow building with packagekit-qt >= 1.0.0 (kde#390599)

==== kdepim-addons ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kdepim-addons-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* Use encrypted network connections in KOrganizer plug-ins
* Fix crash when we close dialog but continue to keep in markdown support
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Too many changes to list here
- Refreshed patches:
* 0001-Enable-the-expert-plugin-by-default.patch

==== kdepim-apps-libs ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kdepim-apps-libs-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* Fix minor EBN issues and typos
* Fix Bug 399074 - Untranslatable strings in
kdepim-apps-libs/kaddressbookimportexport/src/ (kde#399074)
* Increase version
* Add FollowUpReminder::FollowUpReminderInfo debug method
* use new syntax

==== kdepim-runtime ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kdepim-runtime-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* Fix mem leak
* Fix Bug 396820 - Buttons in new mail notifications don't work. (kde#396820)
* Fix extract i18n
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Too many changes to list here

==== kdesu ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5Su5 libKF5Su5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* No code changes since 5.52.0

==== kdevelop5 ====
Subpackages: kdevelop5-lang kdevplatform kdevplatform-lang libkdevplatform53

- Require clang, without it the C++ parser won't work (boo#1119186)

==== kdialog ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kdialog-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Get rid of LLVM/Clang warning
* Fix minor EBN issues
* Compile with KDEFrameworkCompilerSettings module

==== kdnssd-framework ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5DNSSD5 libKF5DNSSD5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* actually install the version header
* do not leak resolver in remoteservice
* prevent avahi signal racing
* fix for macOS

==== kdoctools ====
Version update (5.52.0 -> 5.53.0)
Subpackages: kdoctools-lang libKF5DocTools5

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use isEmpty()
* Fix running kdoctools-install autotest without kdoctools installed
* It builds without deprecated method

==== kemoticons ====
Version update (5.52.0 -> 5.53.0)

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* No code changes since 5.52.0

==== kfilemetadata5 ====
Version update (5.52.0 -> 5.53.0)
Subpackages: kfilemetadata5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use isEmpty()
* Adapt to the FindExiv2 -> FindLibExiv2 name change in ECM.
* Use the new FindExiv2 module from ECM.
* Revive 'Description' property for DublinCore metadata
* add a description property to KFileMetaData
* [KFileMetaData] Add extractor for DSC conforming (Encapsulated) Postscript
* rename variable
* remove unneeded comment
* cleanup the test for embedded image extraction
* Add missing override
* [ExtractorCollection] Avoid dependency of kcoreaddons for CI tests
* Add support for speex files to taglibextractor
* add two more internet sources regarding tagging information
* fix alphabetical order
* remove unused include
* use qlatin1 for embedded image extractor
* move supported mimetypes to static string list
* create a separate test file for embedded images test
* simplify handling of id3 tags
* add explicit to constructors
* add missing license information
* [XmlExtractor] Use QXmlStreamReader for better performance

==== kglobalaccel ====
Version update (5.52.0 -> 5.53.0)
Subpackages: kglobalaccel5 libKF5GlobalAccel5 libKF5GlobalAccel5-lang
libKF5GlobalAccelPrivate5

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use isEmpty()
* Fix CMake condition

==== kguiaddons ====
Version update (5.52.0 -> 5.53.0)

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Make it compiles without deprecated method

==== khelpcenter5 ====
Version update (18.08.3 -> 18.12.0)
Subpackages: khelpcenter5-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* Contents items expanding issue (kde#399275)
* Remove duplicate submenus. (kde#399274)
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Sort includes
* Get rid of the last cases of the old signal-slot syntax
* Convert to QOverload
* Port to new connect api
* Add donation url to appdata
* Use more nullptr
* Remove left-over condition for now older than min-kf-dep code
* Port away from deprecated setClearButtonShown
* Fix minor Appstreamercli issues
* Switch to the new signal-slot connection syntax in mainwindow.cpp
* Fix minor EBN issue
* It depends against 5.40
* Fix minor EBN issues [explicit] + [license] + [postfixop] + [normalize]
* Fix compile with strict flags
* Use QStringLiteral and co. + Add missing i18n
* Autogenerate debug category + create categories file
* Increase copyright
* Use nullptr/override
* Increase version
- Removed patches, no longer necessary (handled by kdoctools):
* khelpcenter-fallback-to-kde4-docs.patch

==== kholidays ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5Holidays5 libKF5Holidays5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use isEmpty()
* Use the right maintainer username.

==== khtml ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5KHtml5 libKF5KHtml5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use new syntax
* Remove qt include prefix

==== ki18n ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5I18n5 libKF5I18n5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* No code changes since 5.52.0

==== kiconthemes ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5IconThemes5 libKF5IconThemes5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Qt 5.9 is now required

==== kidentitymanagement ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kidentitymanagement-lang libKF5IdentityManagement5

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Don't show dialogbox when we open configurator
* Add warning if signature file text is too big
* Rename slot
* Reduce type of file to txt file
* Define type of files
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* Use new syntax

==== kidletime ====
Version update (5.52.0 -> 5.53.0)

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use new syntax

==== kimageformats ====
Version update (5.52.0 -> 5.53.0)

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use gimp to export simple-rgba-gimp-2.8.10.xcf to png again

==== kimap ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kimap-lang libKF5IMAP5

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* Use nullptr
* Use QString()
* Fix minor EBN issues
* use new syntax

==== kinit ====
Version update (5.52.0 -> 5.53.0)
Subpackages: kinit-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use isEmpty()
* This module can build without deprecated method

==== kio ====
Version update (5.52.0 -> 5.53.0)
Subpackages: kio-core kio-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Too many changes to list here

==== kio-extras5 ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kio-extras5-lang libkioarchive5

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* [Comic Thumbnailer] fix CBR thumbnail generation
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* [thumbnailer appimage] Fix building with libappimage not in system path
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Too many changes to list here
- Dropped patches, now upstream:
* 0001-sftp-bump-pending-request-count-from-1-to-128.patch
- Dropped patches, superseded by upstream changes:
* fix-mtp-paste-with-KF5-5.25.diff
- Provide / obsolete kde-odf-thumbnail. now kio-extras ships with
its own ODF thumbnailer

==== kio_audiocd ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kio_audiocd-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* Fix switching between quality and bitrate for Vorbis Ogg plugin
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* Use the current date and time for the created files to avoid confusions
(kde#400114)
* Fix switching between constant and variable bitrate for LAME configuration
module (kde#386014)
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Too many changes to list here

==== kirigami2 ====
Version update (5.52.0 -> 5.53.0)
Subpackages: kirigami2-lang libKF5Kirigami2-5

- Update to 5.53.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Fix warning
* DelegateRecycler: Fix build with strict iterators
* DelegateRecycler: Don't create a new propertiesTracker for every delegate
* Move the about page from Discover to Kirigami
* update versions
* antialiasing only when position != 0
* make sure scroll views are pixel aligned
* Make it possible to fallback to a different icon
* hide context drawer when there is a global toolbar
* ensure all items are laid out (kde#400671)
* center FormLayout
* change index on pressed, not on clicked (kde#400518)
* more consistency between toolbar and breadcrumb titles
* fix separators behavior
* new text sizes for Headings
* sidebar drawers don't move global headers/footers
* on big devices, just take 95% of the space
- Dropped patches, now upstream:
* 0001-make-sure-scroll-views-are-pixel-aligned.patch

==== kitemmodels ====
Version update (5.52.0 -> 5.53.0)

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* autotests: remove testmodelqueuedconnections.cpp which asserts in Qt 5.11
* Use isEmpty()
* Remove unused virtual keyword
* Normalize signal/slot

==== kitemviews ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5ItemViews5 libKF5ItemViews5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* No code changes since 5.52.0

==== kitinerary ====
Version update (18.08.3 -> 18.12.0)
Subpackages: libKPimItinerary5 libKPimItinerary5-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* Add missing comparison operators
* Fix compatibility with Poppler 0.72
* Fix FCM extractor for single digit flight numbers
* Remove obsolete todo
* Improve airport lookup by considering alternative umlaut transliterations
* Cleanup airport name lookup code a bit
* Fix flight calendar entries when IATA airport code is missing
* Add arrival terminal property
* Add Easyjet extractor
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Too many changes to list here

==== kjobwidgets ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5JobWidgets5 libKF5JobWidgets5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* No code changes since 5.52.0

==== kjs ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5JS5 libKF5JSApi5

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Remove qt include prefix

==== kjsembed ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5JsEmbed5 libKF5JsEmbed5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Remove qt include prefix

==== kldap ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kldap-lang libKF5Ldap5

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* Remove deprecated method
* use new syntax

==== kleopatra ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kleopatra-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Too many changes to list here

==== kmag ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kmag-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Remove ldconfig calls as there are no libraries.
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* Go back to "regular" compiler settings
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Refine donation url in appdata
* Fix AppData file
* Fix minor typos
* Restore the screenshot location as it seems that the trouble with
appstreamercli is somewhere else
* Expand description to avoid appstreamtest warnings
* Fix some minor EBN and build system issues
* Use override + use Q_SIGNALS/Q_SLOTS + use nullptr

==== kmail ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kmail-application-icons kmail-lang ktnef

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* Fix Bug 401685 - context menu option for mailing list actions confused
about which list is relevant (kde#401685)
- Add upstream patch
0001-Fix-Bug-401419-Kmail-crashes-on-trying-to-open-any-e.patch:
* Fixes Kmail crashing when trying to open a mail (kde#401419)
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* Fix mem leak
* Fix potential mem leak
* Fix mem leak
* Fix mem leak
* Make sure the unified mailbox dialog is only really shown once
* Remove unused method
- Use gcc7 to build on Leap 42.3, the default 4.8 is too old
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Too many changes to list here

==== kmail-account-wizard ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kmail-account-wizard-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Add missing Name
* Use KDEFrameworkCompilerSettings
* Use nullptr
* Fix minor EBN issues
* Use new syntax

==== kmailtransport ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kmailtransport-lang libKF5MailTransport5
libKF5MailTransportAkonadi5

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* License consistency: kmailtransport is LGPLv2+ licensed
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* Fix minor EBN issues
* Remove unused include
* Port to QRegularExpression
* Allow to add mailtransport options
* Ignore file
* Use new syntax

==== kmbox ====
Version update (18.08.3 -> 18.12.0)

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* explicitly include CMakeFindDependencyMacro so it has the cmake functions
it needs
https://build.neon.kde.org/job/bionic_unstable_kde_kmbox_lintcmake/22/console
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* use new syntax

==== kmime ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kmime-lang libKF5Mime5

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* Fix leak in KMime::Content::decodedContent()
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* Remove unnecessary check
* Complete the dependency list
* Comment flag
* Remove deprecated method
* Use nullptr

==== kmousetool ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kmousetool-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Remove ldconfig calls as there are no libraries.
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Refine donation url in appdata
* Add nullptr
* Make it compile KDEFrameworkCompilerSettings
* Add explicit cmake errors on missing components
* Adding .arcconfig file

==== knewstuff ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5NewStuff5 libKF5NewStuff5-lang libKF5NewStuffCore5

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Remove unused include
* Use new syntax
* Mark new public bits as since 5.53
* Add programmaticaly useful error signalling
* It compiles without deprecated method

==== knotes ====
Version update (18.08.3 -> 18.12.0)
Subpackages: knotes-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Too many changes to list here

==== knotifications ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5Notifications5 libKF5Notifications5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Rename NotifyByFlatpak to NotifyByPortal
* Notification portal: support pixmaps in notifications

==== knotifyconfig ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5NotifyConfig5 libKF5NotifyConfig5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* do not attempt to link phononexperimental :O

==== kompare ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kompare-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* Require cmake 3.0, as expected by recent ECM
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Add donation url to appdata

==== konsole ====
Version update (18.08.3 -> 18.12.0)
Subpackages: konsole-part konsole-part-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Add fix-drawing-box-chars.patch to fix bad border rendering, in
mc for example (boo#1117446, kde#401463)
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* Fix ASAN issue for determining if running in a KPart
* Allow small colour changes when varying dark backgrounds (kde#311263)
* set variable in initialize list and explictly use bool in if
* Fix search result highlight when scrolling
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Too many changes to list here
- Refreshed patches:
* fix-build-with-gcc48.patch

==== kontact ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kontact-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* Fix potential mem leak (found by asan)
* Use HTTPS for the Kontact website
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Too many changes to list here

==== kontactinterface ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kontactinterface-lang libKF5KontactInterface5

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* Use new syntax

==== kopete ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kopete-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Try to fix build on fresh gcc's
* Fix minor EBN issues

==== korganizer ====
Version update (18.08.3 -> 18.12.0)
Subpackages: korganizer-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* searchdialog: Add more icons
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* Make sure that it's not deleted before using it
* Split testkodaymatrix in two
* Fix load size
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Too many changes to list here

==== kpackage ====
Version update (5.52.0 -> 5.53.0)
Subpackages: kpackage-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use isEmpty
* Don't generate appstream data for files that lack a description (kde#400431)
* Capture package metadata before install start
* It compiles without deprecated method

==== kparts ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5Parts5 libKF5Parts5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use member-function-pointer-based signal/slot connection

==== kpeople5 ====
Version update (5.52.0 -> 5.53.0)
Subpackages: kpeople5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use isEmpty()

==== kpimtextedit ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kpimtextedit-lang libKF5PimTextEdit5

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* remove extra check
* i18n: fix broken English
* Fix allow to send when we force spell checking and spell checking doesn't
have backend
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* Fix mem leak
* Fix mem leak
* Fix mem leak found by asan
* Fix wrong commit that left an old call to rehighlight()
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Port foreach -> for(...:...)
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* We depend against 5.51
* Rename action tooltip
* Add test name
* Arg must be a double
* Use "using namespace" here too
* Use "using namespace"
* not necessary to install InsertHtmlDialog file + clean up
* Make it required [Qt5TextToSpeech]
* Start to make it required [Qt5TextToSpeech]
* Fix some clazy warning
* Use new syntax
* Return zoomFactor, and assign default font size

==== kpkpass ====
Version update (18.08.3 -> 18.12.0)
Subpackages: libKPimPkPass5

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Have the library require the main package
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* explicitly include find dependency so cmake file can be used standalone
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* Increase version
* Add accessors for the background and footer assets
* Improve documentation a bit
* Remove duplicate include
* Add accessor for the strip image
* Complete dependencies
* Don't force shared libraries
* Use new syntax
* It's a pim component. Use same version as for others components
* Add ignore build dir

==== kplotting ====
Version update (5.52.0 -> 5.53.0)

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use isEmpty()

==== kpty ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5Pty5 libKF5Pty5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* No code changes since 5.52.0

==== kross ====
Version update (5.52.0 -> 5.53.0)
Subpackages: kross-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* No code changes since 5.52.0

==== kruler ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kruler-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Remove ldconfig calls as there are no libraries.
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Add donation url to appdata
* USe nullptr + explicit + override
* Use KDEFrameworkCompilerSettings

==== krunner ====
Version update (5.52.0 -> 5.53.0)

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use isEmpty()
* When re-using runners when reloading, reload their configuration
(kde#399621)
* It compiles fine without deprecated method
* Remove extra ;

==== kservice ====
Version update (5.52.0 -> 5.53.0)
Subpackages: kservice-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use new syntax

==== ksmtp ====
Version update (18.08.3 -> 18.12.0)
Subpackages: ksmtp-lang libKPimSMTP5

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* KSMTP: improve error handling.
* use new syntax

==== ktexteditor ====
Version update (5.52.0 -> 5.53.0)
Subpackages: ktexteditor-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* KTextEditor::ViewPrivate: S&R
* KateViewInternal: Remove unneeded functions
* Allow negative syntax definition priorities.
* Expose "Toggle Comment" feature through tools menu and default shortcut
(kde#387654)
* Fix hidden languages in the mode menu
* SpellCheckBar: Use DictionaryComboBox instead of plain QComboBox
* KTextEditor::ViewPrivate: Avoid warning "Text requested for invalid range"
* Android: No need to define log2 anymore
* disconnect contextmenu from all aboutToXXContextMenu receivers (kde#401069)
* Introduce AbstractAnnotationItemDelegate for more control by consumer

==== ktextwidgets ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5TextWidgets5 libKF5TextWidgets5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use isEmpty()
* It compiles without deprecated method

==== ktnef ====
Version update (18.08.3 -> 18.12.0)
Subpackages: ktnef-lang libKF5Tnef5

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* Add platform information to the metainfo file. This information is required
within metainfo.yaml files when they are present, otherwise the CI system
cannot perform necessary checks and builds will fail.
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* Optional argument never provided. Cleanup.
* Add a couple of alternative keys
* Add a backup start/end time, and don't use strings as transport for some
dates
* Fix porting bug. fromSecsSinceEpoch is a static method
* Fix Allow already open devices for parsing devices
* Let QDateTime convert to local time
* use new syntax
* Fix warning
* Port deprecated method

==== kunitconversion ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5UnitConversion5 libKF5UnitConversion5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Fix minor typos in permeability units
* Updated with petroleum industry units (kde#388074)

==== kwallet ====
Version update (5.52.0 -> 5.53.0)
Subpackages: kwallet-tools kwallet-tools-lang kwalletd5 kwalletd5-lang
libKF5Wallet5 libkwalletbackend5-5

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use new syntax

==== kwalletmanager5 ====
Version update (18.08.3 -> 18.12.0)
Subpackages: kwalletmanager5-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Remove not implemented method
* Refine donation url in appdata
* Use KDEFrameworkCompilerSettings.
* Fix minor EBN issues
* Modernize it
* Add debug categories
* Move icons in own directory

==== kwayland ====
Version update (5.52.0 -> 5.53.0)

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Autogenerate logging file + fix categories file
* Use new syntax
* Remove virtual keyword
* Use lambdas instead of std::bind()
* Add VirtualDesktops to PlasmaWindowModel
* Update PlasmaWindowModel test to reflect VirtualDesktop changes
* Cleanup windowInterface in tests before windowManagement is destroyed
* Delete the correct item in removeDesktop
* Cleanup Virtual Desktop Manager list entry in PlasmaVirtualDesktop
destructor
* Correct version of newly added PlasmaVirtualDesktop interface
* [server] Text input content hint and purpose per protocol version
* [server] Put text-input (de-)activate, en-/disable callbacks in child
classes
* [server] Put set surrounding text callback with uint in v0 class
* Remove qt include prefix
* Cleanup comment typos
* [server] Put some text-input v0 exclusive callbacks in v0 class
* normalize signal/slot
* Fix build with Qt <5.10 (no support for QCOMPARE(uint, int)

==== kwidgetsaddons ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5WidgetsAddons5 libKF5WidgetsAddons5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use isEmpty()
* Add level api from Kirigami.Heading
* [KActionMenu] Add apidox to addAction()

==== kwindowsystem ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5WindowSystem5 libKF5WindowSystem5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* autotests: cast to int so that the values appear.
* Use isEmpty()
* Remove qt include prefix
* normalize signal/slot

==== kxmlgui ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5XmlGui5 libKF5XmlGui5-lang

- Use gcc7 on Leap 42.3 to fix build, compilation fails with the
default 4.8
- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use isEmpty()
* Qt 5.9 is now the required version
* Update the "About KDE" text
* Mark member pointer const to tell it will not be changed by design
* Use member-function-pointer-based signal/slot connection
* krulertest: remove deprecated defunct call

==== kxmlrpcclient5 ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5XmlRpcClient5 libKF5XmlRpcClient5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* It builds without deprecated method

==== libKF5ModemManagerQt ====
Version update (5.52.0 -> 5.53.0)

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Remove qt include prefix

==== libKF5NetworkManagerQt ====
Version update (5.52.0 -> 5.53.0)

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Get rid of some unneeded defines
* Fixed a bug(error?) in ipv4 & ipv6 settings
* Add missing defines
* Add ovs-bridge and ovs-interface setting
* Update Ip-tunnel settings
* Add proxy and user setting
* Add IpTunnel setting
* We can now build tun setting test all the time
* Add missing IPv6 options
* Listen for added DBus interfaces instead of registered services (kde#400359)
* Remove qt include prefix
* normalize signal/slot

==== libassuan ====
Version update (2.5.1 -> 2.5.2)

-Update to 2.5.2:
* configure.ac: Bump LT version to C8/A8/R2
* include libassuan.pc in the spec file

==== libbytesize ====
Version update (1.3 -> 1.4)
Subpackages: libbytesize-lang libbytesize1

- Update to version 1.4:
+ There are only small changes in this release.

==== libgravatar ====
Version update (18.08.3 -> 18.12.0)
Subpackages: libKF5Gravatar5 libgravatar-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* Remove the shutdown notice.
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* use new syntax

==== libjpeg-turbo ====
Subpackages: libjpeg8 libjpeg8-32bit libturbojpeg0

- asan_build: build ASAN included
- debug_build: build more suitable for debugging

==== libkcddb ====
Version update (18.08.3 -> 18.12.0)

- ldconfig calls are generally only needed for system libs,
not dlopened entities.
- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Fix minor EBN issues

==== libkcompactdisc ====
Version update (18.08.3 -> 18.12.0)
Subpackages: libKF5CompactDisc5 libkcompactdisc-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Fix minor EBN issues

==== libkdcraw ====
Version update (18.08.3 -> 18.12.0)

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Rebase fix-build-with-libraw-0.19.patch to fix build on Leap 42.3
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Fix minor typos
* Clarify soversion

==== libkdepim ====
Version update (18.08.3 -> 18.12.0)
Subpackages: libKF5Libkdepim5 libKF5LibkdepimAkonadi5 libkdepim-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* Optimize code (found by hotspot)
* It's better to use same variable than recreate it.
* Emit signal when contact was modified
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* License maintenance: GPLv2 -> GPLv2+
* USe QStringLiteral
* Fix minor EBN issues
* use new syntax
* Port deprecated method

==== libkexiv2 ====
Version update (18.08.3 -> 18.12.0)

- Adjust RPM groups.
- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Initialize cmake project after cmake_minimum_required was set
* Make cmake 3.0 the minimum cmake version

==== libkgapi ====
Version update (18.08.3 -> 18.12.0)
Subpackages: libKPimGAPICalendar5 libKPimGAPIContacts5 libKPimGAPICore5
libKPimGAPITasks5 libkgapi-lang sasl2-kdexoauth2

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* Fix minor EBN issues
* Relicense the XOAuth SASL plugin under LGPLv2.1+
* Make sure that it doesn't build with deprecated method
* Add more flags
* Fix warning

==== libkipi ====
Version update (18.08.3 -> 18.12.0)
Subpackages: libKF5Kipi32_0_0 libkipi-data

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Fix minor EBN issues

==== libkleo ====
Version update (18.08.3 -> 18.12.0)
Subpackages: libKF5Libkleo5 libkleo-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* Initialize default keyfilter mIsDeVs variable
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* Replace 10 year out of date ModelTest copy with QAIMTester
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Too many changes to list here

==== libkomparediff2 ====
Version update (18.08.3 -> 18.12.0)
Subpackages: libkomparediff2-5 libkomparediff2-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* Honor BUILD_TESTING
* Port ECMPackageConfigHelpers -> CMakePackageConfigHelpers
* Require cmake 3.0, as expected by recent ECM
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Fix minor typos

==== libksane ====
Version update (18.08.3 -> 18.12.0)
Subpackages: libKF5Sane5 libksane-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Use QOverload
* Reduce differences between KSaneScanThread and KSanePreviewThread
* Extract KSanePreviewImageBuilder::renewImage()
* Fix debug messages
* Fix setting gamma-tables that are not symmetrical (items / range)
(kde#370972)
* Extract KSanePreviewImageBuilder from KSanePreviewThread
* Use the multi-arg overload of QString::arg()
* Use override instead of Q_DECL_OVERRIDE
* Use nullptr
* Require Qt 5.7 to use C++11
* Rename KSanePreviewThread::status to m_saneStatus
* Add workaround for broken bytes_per_line values in line-art mode

==== libksieve ====
Version update (18.08.3 -> 18.12.0)
Subpackages: libksieve-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* Fix mem leak found by asan
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Too many changes to list here

==== libproxy ====

- Convert package from multispec to multibuild.

==== libproxy-plugins ====
Subpackages: libproxy1-config-gnome3 libproxy1-config-kde
libproxy1-networkmanager libproxy1-pacrunner-webkit

- Convert package from multispec to multibuild.

==== libqt5-qttranslations ====
Version update (5.11.2 -> 5.12.0)

- Use %license
- Remove "BSD-3-Clause" from License
- Update to 5.12.0:
* New feature release
* For more details please see:
*
http://code.qt.io/cgit/qt/qttranslations.git/plain/dist/changes-5.12.0/?h=v5.12.0
- Update to 5.12.0-rc2:
* New bugfix release
* Only important bugfixes
- Changelog for Qt 5.12.0:
*
http://code.qt.io/cgit/qt/qttranslations.git/plain/dist/changes-5.12.0/?h=5.12.0
- Update to 5.12.0-rc:
* New bugfix release
* No changelog available
- Update to 5.12.0-beta4:
* New bugfix release
* No changelog available
- Update to 5.12.0-beta3:
* New bugfix release
* No changelog available
- Update to 5.12.0-beta2:
* New bugfix release
* No changelog available
- Update to 5.12.0-beta1:
* New bugfix release
* No changelog available
- Update to 5.12.0-alpha:
* New feature release
* For more details please see:
* http://wiki.qt.io/New_Features_in_Qt_5.12

==== libqt5-qtvirtualkeyboard ====
Version update (5.11.2 -> 5.12.0)

- Fix the libQt5HunspellInputMethod-private-headers-devel requirements.
- Update to 5.12.0:
* New feature release
* For more details please see:
*
http://code.qt.io/cgit/qt/qtvirtualkeyboard.git/plain/dist/changes-5.12.0/?h=v5.12.0
- Update to 5.12.0-rc2:
* New bugfix release
* Only important bugfixes
- Changelog for Qt 5.12.0:
*
http://code.qt.io/cgit/qt/qtvirtualkeyboard.git/plain/dist/changes-5.12.0/?h=5.12.0
- Update to 5.12.0-rc:
* New bugfix release
* No changelog available
- Update to 5.12.0-beta4:
* New bugfix release
* No changelog available
- Update to 5.12.0-beta3:
* New bugfix release
* No changelog available
- Update to 5.12.0-beta2:
* New bugfix release
* No changelog available
- Update to 5.12.0-beta1:
* New bugfix release
* No changelog available
- Update to 5.12.0-alpha:
* New feature release
* For more details please see:
* http://wiki.qt.io/New_Features_in_Qt_5.12
* Extension API added
* hunspell support split into a (private) library and plugin

==== libraw ====
Version update (0.19.0 -> 0.19.1)

- Updated to version 0.19.1
* Finally: got Sinar 4shot sample, works fine now
* OpenMP critical sections for malloc/free; extra #ifdefs
removed; bin/dcraw_dist could be built again using Makefile.devel
* additional checks in parse_phase_one()
* more checks on file offsets/tag len in parse_minolta
* more checks in parse_ciff
* Mempool check reworked
* Old Leaf (16bit/3color/TIFF) support
* Fix cameraWB->autoWB fallback
* Polaroid x530 channel swap; get metadata pointer for Foveon files
* Fixed Secunia Advisory SA86384
- possible infinite loop in unpacked_load_raw()
- possible infinite loop in parse_rollei()
- possible infinite loop in parse_sinar_ia()
- removed libraw-CVE-2018-5813.patch (upstreamed)

==== librsvg ====
Version update (2.44.9 -> 2.44.10)
Subpackages: gdk-pixbuf-loader-rsvg librsvg-2-2 rsvg-thumbnailer
typelib-1_0-Rsvg-2_0

- Update to version 2.44.10:
+ Don't crash if there is no rsvg_handle_write() before
rsvg_handle_close().
+ Avoid undefined behavior when casting opaque pointers.
+ Added g_warning()s to ensure the API is called in the correct
sequence.

==== libsigc++2 ====
Version update (2.10.0 -> 2.10.1)

- Update to version 2.10.1:
+ signal_impl::clear(): Don't clear the slot list during signal
emission, to prevent a segfault. And add a test for this.
+ slot_base::set_parent(): Create a dummy slot_rep if necessary.
+ Avoid compiler warnings from function pointer conversions.
+ Build:
- Make --disable-benchmark work.
- Replace the Visual Studio project files with MSVC NMake
project files.
- Add MSVC_NMake/README.txt for Visual Studio builds.
+ Documentation:
- signal_base: Warn against deletion during emission.
- Update links in README, configure.ac, libsigcplusplus.doap.

==== libsolv ====
Version update (0.7.1 -> 0.7.2)
Subpackages: libsolv-devel libsolv-tools python3-solv ruby-solv

- do not autouninstall packages because of forcebest updates
- support rpm's new '^' version separator
- support set/get_considered_list in bindings
- new experimental SOLVER_FLAG_ONLY_NAMESPACE_RECOMMENDED flag
[fate#325513]
- bump version to 0.7.2

==== libtool ====
Subpackages: libltdl7 libltdl7-32bit

- libtool baselib should require libltdl in baselib.

==== libzypp ====
Version update (17.10.1 -> 17.10.3)

- Simplify complex locks so zypper can display them (bsc#1112911)
- version 17.10.3 (9)
- commit: set `SYSTEMD_OFFLINE=1` during chrooted commits (bsc#1118758)
- no-recommends: Nevertheless consider resolver namespaces (hardware,
language,..supporting packages) (FATE#325513)
- BuildRequires: libsolv-devel >= 0.7.2
(SOLVER_FLAG_ONLY_NAMESPACE_RECOMMENDED)
- Remove world-readable bit from /var/log/zypp (bsc#1099019)
- version 17.10.2 (9)

==== mailcommon ====
Version update (18.08.3 -> 18.12.0)
Subpackages: libKF5MailCommon5 mailcommon-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* License maintenance: GPLv2 -> GPLv2+
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Too many changes to list here

==== mailimporter ====
Version update (18.08.3 -> 18.12.0)
Subpackages: libKF5MailImporter5 libKF5MailImporterAkonadi5 mailimporter-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* License maintenance: GPLv2 -> GPLv2+
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* Use new syntax

==== mdadm ====
Version update (4.0 -> 4.1)

- Update description. Remove references to historic software.
- 0001-Document-PART-POLICY-lines.patch
0002-policy-support-devices-with-multiple-paths.patch
0008-policy.c-prevent-NULL-pointer-referencing.patch
(bsc#1106078)
- 0003-mdcheck-add-systemd-unit-files-to-run-mdcheck.patch
0004-Monitor-add-system-timer-to-run-oneshot-periodically.patch
Remove mdadm.cron
Remove crond.mdadm
(bsc#1115407)
- 0005-imsm-update-metadata-correctly-while-raid10-double-d.patch
0006-Grow-avoid-overflow-in-compute_backup_blocks.patch
0007-Grow-report-correct-new-chunk-size.patch
Other useful upstream patches.
- Update mdadm code base to mdadm-4.1
(FATE#325869, bsc#1111960)
- Assorted bug-fixes, minor improvements, and code cleanup
- Add PPL support (alternate change-journalling model)
- Fix Makefile to install mdadm_env.sh to /usr/lib/mdadm/
(bsc#1111960)
0001-Makefile-install-mdadm_env.sh-to-usr-lib-mdadm.patch
- Remove the following code base and patches since they are in
mdadm-4.1 already,
- mdadm-4.0.tar.xz
- 0001-Makefile-Fix-date-to-be-output-in-ISO-format.patch
- 0002-imsm-fix-missing-error-message-during-migration.patch
- 0003-Fix-oddity-where-mdadm-did-not-recognise-a-relative-.patch
- 0004-mdadm-check-the-nodes-when-operate-clustered-array.patch
- 0005-examine-tidy-up-some-code.patch
- 0006-mdadm-add-man-page-for-symlinks.patch
- 0007-mdadm-add-checking-clustered-bitmap-in-assemble-mode.patch
- 0008-mdadm-Add-Wimplicit-fallthrough-0-in-Makefile.patch
- 0009-mdadm-Specify-enough-length-when-write-to-buffer.patch
- 0010-mdadm-it-doesn-t-make-sense-to-set-bitmap-twice.patch
- 0011-mdadm-Monitor-Fix-NULL-pointer-dereference-when-stat.patch
- 0012-Replace-snprintf-with-strncpy-at-some-places-to-avoi.patch
- 0013-mdadm-Forced-type-conversion-to-avoid-truncation.patch
- 0014-super1-ignore-failfast-flag-for-setting-device-role.patch
- 0015-mdadm-bitmap-fixed-typos-in-comments-of-bitmap.h.patch
- 0016-udev-md-raid-assembly.rules-Skip-non-ready-devices.patch
- 0017-Retry-HOT_REMOVE_DISK-a-few-times.patch
- 0018-mdadm-Build-check-the-level-parameter-when-build-new.patch
- 0019-Introduce-sys_hot_remove_disk.patch
- 0020-Add-force-flag-to-hot_remove_disk.patch
- 0021-Detail-handle-non-existent-arrays-better.patch
- 0022-Generic-support-for-consistency-policy-and-PPL.patch
- 0023-Detail-show-consistency-policy.patch
- 0024-imsm-PPL-support.patch
- 0025-super1-PPL-support.patch
- 0026-Add-ppl-and-no-ppl-options-for-update.patch
- 0027-Grow-support-consistency-policy-change.patch
- 0028-mdadm.h-struct-mdinfo-reorganize-ppl-elements-for-be.patch
- 0029-super1-replace-hard-coded-values-with-bit-definition.patch
- 0030-mdadm-Clean-up-some-ugly-multiple-actions-on-single-.patch
- 0031-mdadm-Fixup-a-number-of-whitespace-inconsistency-cas.patch
- 0032-util-Cosmetic-changes.patch
- 0033-Grow-Fixup-a-pile-of-cosmetic-issues.patch
- 0034-Grow-Remove-unnecessary-optimization.patch
- 0035-Grow-Do-not-shadow-an-existing-variable.patch
- 0036-imsm-use-rounded-size-for-metadata-initialization.patch
- 0037-mdadm.c-fix-compile-error-switch-condition-has-boole.patch
- 0038-mdadm-Create-declaring-an-existing-struct-within-sam.patch
- 0039-Create-Fixup-bad-placement-of-logical-in-multi-line-.patch
- 0040-Create-Fixup-various-whitespace-issues.patch
- 0041-mdadm.c-fix-compile-warning-mdfd-is-uninitialized.patch
- 0042-mdopen-use-parameters-new_array-to-create-arrays-whe.patch
- 0043-mdadm-manpage-update-manpage-for-readonly-parameter.patch
- 0044-mdadm-manpage-clustered-arrays-don-t-support-array-s.patch
- 0045-maps-Terminate-modes-map-correctly.patch
- 0046-Grow_continue_command-ensure-content-is-properly-ini.patch
- 0047-systemd-mdadm-last-resort-use-ConditionPathExists-in.patch
- 0048-Detail-ensure-export-names-are-acceptable-as-shell-v.patch
- 0049-Grow-set-component-size-prior-to-array-size.patch
- 0050-Grow-don-t-allow-to-enable-PPL-when-reshape-is-in-pr.patch
- 0051-Grow-don-t-allow-array-geometry-change-with-ppl-enab.patch
- 0052-IMSM-Correct-examine-output-for-4k-disks.patch
- 0053-imsm-allow-drives-in-a-container-regardless-of-secto.patch
- 0054-imsm-allocate-buffer-to-support-maximum-sector-size.patch
- 0055-imsm-don-t-allow-disks-with-different-sector-size-in.patch
- 0056-mdadm-mdmon-deleted-the-abort_reshape-never-invoked.patch
- 0057-util-Introduce-md_get_array_info.patch
- 0058-Incremental-Remove-redundant-call-for-GET_ARRAY_INFO.patch
- 0059-util-Introduce-md_get_disk_info.patch
- 0060-util-Introduce-md_set_array_info.patch
- 0061-md_u-Remove-some-unused-ioctl-declarations.patch
- 0062-mdadm-grow-reshape-would-be-stuck-from-raid1-to-raid.patch
- 0063-sysfs-Use-the-presence-of-sys-block-dev-md-as-indica.patch
- 0064-sysfs-Make-sysfs_init-return-an-error-code.patch
- 0065-util-must_be_container-Use-sysfs_read-GET_VERSION-to.patch
- 0066-util-set_array_info-Simplify-code-since-md_get_versi.patch
- 0067-Assemble-Assemble-Stop-checking-kernel-md-driver-ver.patch
- 0068-Build-Stop-bothering-about-supporting-md-driver-olde.patch
- 0069-Grow-Stop-bothering-about-md-driver-versions-older-t.patch
- 0070-Detail-Stop-bothering-about-md-drivers-older-than-0..patch
- 0071-Create-Remove-all-attemps-to-handle-md-driver-older-.patch
- 0072-Manage-Remove-all-references-to-md_get_version.patch
- 0073-Query-Remove-all-references-to-md_get_version.patch
- 0074-bitmap-Remove-use-of-md_get_version.patch
- 0075-mdmon-Stop-bothering-about-md_get_version.patch
- 0076-mdopen-open_mddev-Use-md_get_array_info-to-determine.patch
- 0077-mdassemble-Use-md_get_array_info-to-check-for-valid-.patch
- 0078-Assemble-Assemble-Get-rid-of-last-use-of-md_get_vers.patch
- 0079-util-Finally-kill-off-md_get_version.patch
- 0080-mdadm-Fail-for-kernels-older-than-2.6.15.patch
- 0081-Revert-mdadm-grow-reshape-would-be-stuck-from-raid1-.patch
- 0082-Retire-mdassemble.patch
- 0083-super1-Clean-up-various-style-abuses.patch
- 0084-Detail-Remove-pre-2.6-code-for-printing-info-on-rebu.patch
- 0085-Assemble-Remove-obsolete-test-for-kernels-older-than.patch
- 0086-Detail-Fixup-ugly-if-foo-abuse.patch
- 0087-Query-Handle-error-returned-by-fstat.patch
- 0088-Query-Use-sysfs-to-obtain-data-if-possible.patch
- 0089-sysfs-Parse-array_state-in-sysfs_read.patch
- 0090-util-Introduce-md_array_active-helper.patch
- 0091-maps-Use-keyvalue-for-null-terminator-to-indicate-un.patch
- 0092-util-Get-rid-of-unused-enough_fd.patch
- 0093-mdadm-retire-mdassemble-in-make-everything.patch
- 0094-Query-Quiet-gcc-since-it-cannot-know-errno-0-in-this.patch
- 0095-Makefile-Default-to-O2-optimization.patch
- 0096-maps-Simplify-implementation-of-map_name.patch
- 0097-Don-t-use-UnSet-with-consistency_policy.patch
- 0098-Detail-determine-array-state-from-sysfs.patch
- 0099-Detail-Respect-code-lines-are-80-character-wide.patch
- 0100-Detail-Reinstate-support-for-not-having-sysfs.patch
- 0101-Incremental-Use-md_array_active-where-applicable.patch
- 0102-Incremental-Cleanup-some-if-statement-spaghetti.patch
- 0103-Create-tell-udev-md-device-is-not-ready-when-first-c.patch
- 0104-Incremental-Use-md_array_active-to-determine-state-o.patch
- 0105-Manage-Manage_ro-Use-md_array_active.patch
- 0106-IMSM-Initialize-my_vol_raid_dev_num-during-vol-creat.patch
- 0107-Grow-Grow_continue_command-Avoid-aliasing-array-vari.patch
- 0108-change-back-0644-permission-for-Grow.c.patch
- 0109-util-md_array_valid-Introduce-md_array_valid-helper.patch
- 0110-kernel-patch-Remove-obsolete-kernel-patches-against-.patch
- 0111-mdassemble-Kill-off-the-last-remains.patch
- 0112-mdadm-util-unify-fstat-checking-blkdev-into-function.patch
- 0113-mdadm-util-unify-stat-checking-blkdev-into-function.patch
- 0114-Fix-typo-in-new-udev-rule.patch
- 0115-Incremental-return-is-not-a-function.patch
- 0116-sysfs-sysfs_read-Count-active_disks-and-failed_disks.patch
- 0117-container_members_max_degradation-Switch-to-using-sy.patch
- 0118-IncrementalScan-Use-md_array_active-instead-of-md_ge.patch
- 0119-Mention-endian-in-documentation-for-update-byte-orde.patch
- 0120-Monitor-Use-md_array_active-instead-of-manually-fidd.patch
- 0121-Monitor-Code-is-80-characters-per-line.patch
- 0122-mdadm-md.4-set-page-length-as-1000-to-avoid-warnings.patch
- 0123-Allow-more-spare-selection-criteria.patch
- 0124-Add-sector-size-as-spare-selection-criterion.patch
- 0125-Monitor-check_array-Centralize-exit-path.patch
- 0126-Monitor-check_array-Reduce-duplicated-error-handling.patch
- 0127-Monitor-check_array-Declate-mdinfo-instance-globally.patch
- 0128-Monitor-check_array-Read-sysfs-entry-earlier.patch
- 0129-Monitor-check_array-Obtain-RAID-level-from-syfs.patch
- 0130-Monitor-check_array-Get-failed_disks-from-sysfs.patch
- 0131-Monitor-check_array-Get-array_disks-from-sysfs.patch
- 0132-Monitor-check_array-Get-nr_disks-active_disks-and-sp.patch
- 0133-sysfs-sysfs_read-Count-working_disks.patch
- 0134-Monitor-check_array-Use-working_disks-from-sysfs.patch
- 0135-retire-the-APIs-that-driver-no-longer-supports.patch
- 0136-Monitor-Not-much-point-declaring-mdlist-in-both-fork.patch
- 0137-Monitor-mailfrom-is-initialized-correctly.patch
- 0138-Monitor-Fixup-a-pile-of-whitespace-issues.patch
- 0139-mdadm-Uninitialized-variable-rdev.patch
- 0140-super-ddf-sysfs_read-takes-a-pointer-as-device-name-.patch
- 0141-mdadm-Fixup-a-large-number-of-bad-formatting-of-logi.patch
- 0142-mdadm-Fixup-more-broken-logical-operator-formatting.patch
- 0143-mdadm-Fix-broken-formatting.patch
- 0144-mdadm-Fixup-broken-formatting.patch
- 0145-Detail-don-t-exit-if-ioctl-has-been-successful.patch
- 0146-super1-fix-sb-max_dev-when-adding-a-new-disk-in-line.patch
- 0147-md_u-Remove-unused-ioctl-declaration-of-START_ARRAY.patch
- 0148-Get-failed-disk-count-from-array-state.patch
- 0149-Monitor-don-t-assume-mdadm-parameter-is-a-block-devi.patch
- 0150-super1-Always-round-data-offset-to-1M.patch
- 0151-mdadm-r5cache-allow-adding-journal-to-array-without-.patch
- 0152-udev-rules-introduce-rules-for-cluster-md-to-confirm.patch
- 0153-Detail-correct-output-for-active-arrays.patch
- 0154-imsm-rebuild-from-2-disk-RAID10.patch
- 0155-Error-messages-should-end-with-a-newline-character.patch
- 0156-Use-correct-syntax-for-passing-DEVLINKS-to-mdadm-fro.patch
- 0157-super1-only-set-clustered-flag-when-bitmap-is-presen.patch
- 0158-Don-t-use-exit-ERANGE.patch
- 0159-Monitor-containers-don-t-have-the-same-sysfs-propert.patch
- 0160-Monitor-Include-containers-in-spare-migration.patch
- 0161-Detail-differentiate-between-container-and-inactive-.patch
- 0162-mdadm-install-two-more-udev-rules-in-mdadm.spec.patch
- 0163-mdadm-set-journal_clean-after-scanning-all-disks.patch
- 0164-mdadm-bitmap-examine-bitmap-failed-when-bitmap-is-ex.patch
- 0165-mdopen-call-modprobe-md_mod-if-it-might-be-needed.patch
- 0166-lib-devid2kname-should-take-a-dev_t.patch
- 0167-sysfs_init_dev-take-a-dev_t-argument.patch
- 0168-Manage_subdevs-Use-a-dev_t.patch
- 0169-util-Code-is-80-characters-wide.patch
- 0170-Close-mdfd-before-returning-main-function.patch
- 0171-Grow-stop-previous-reshape-process-first.patch
- 0172-imsm-New-disk-controller-domains.patch
- 0173-Monitor-Check-redundancy-for-arrays.patch
- 0174-mdadm-grow-Component-size-must-be-larger-than-chunk-.patch
- 0175-mdadm-manpage-disable-bitmap_resize-for-external-fil.patch
- 0176-mdadm-fixes-some-trivial-typos-in-comments.patch
- 0177-Don-t-abort-starting-the-array-if-kernel-does-not-su.patch
- 0178-super1-Add-support-for-multiple-ppls.patch
- 0179-imsm-Add-support-for-multiple-ppls.patch
- 0180-imsm-validate-multiple-ppls-during-assemble.patch
- 0181-Zeroout-whole-ppl-space-during-creation-force-assemb.patch
- 0182-imsm-switch-to-multiple-ppls-automatically-during-as.patch
- 0183-Grow-fix-switching-on-PPL-during-recovery.patch
- 0184-imsm-don-t-skip-resync-when-an-invalid-ppl-header-is.patch
- 0185-imsm-Write-empty-PPL-header-if-assembling-regular-cl.patch
- 0186-imsm-always-do-ppl-recovery-when-starting-a-rebuildi.patch
- 0187-imsm-use-correct-map-when-validating-ppl.patch
- 0188-imsm-write-initial-ppl-on-a-disk-added-for-rebuild.patch
- 0189-Grow-Use-all-80-characters.patch
- 0190-imsm-Set-disk-slot-number.patch
- 0191-mdmon-get-safe-mode-delay-file-descriptor-early.patch
- 0192-mdadm-mdstat-fixup-a-number-of-broken-formatting.patch
- 0193-mdadm-mdstat-correct-the-strncmp-number-4-as-6.patch
- 0194-mdcheck-add-some-logging.patch
- 0195-mdcheck-improve-cleanup.patch
- 0197-mdadm-grow-adding-a-test-to-ensure-resize-was-requir.patch
- 0198-mdadm-mdopen-create-new-function-create_named_array-.patch
- 0199-systemd-add-I-to-description-of-mdadm-last-resort-se.patch
- 0200-Incremental-Use-validate_geometry-instead-of-avail_s.patch
- 0201-imsm-fix-reading-scsi-serial.patch
- 0202-To-support-clustered-raid10.patch
- 0203-imsm-More-precise-message-when-spanned-raid-is-creat.patch
- 0204-sysfs-include-faulty-drive-in-disk-count.patch
- 0205-Monitor-msg-Don-t-print-error-message-if-mdmon-doesn.patch
- 0206-imsm-continue-resync-on-3-disk-RAID10.patch
- 0207-managemon-Don-t-add-disk-to-the-array-after-it-has-s.patch
- 0208-mdadm-grow-correct-the-s-size-1-to-make-max-work.patch
- 0209-policy.c-Avoid-to-take-spare-without-defined-domain-.patch
- 0210-mdadm-allow-clustered-raid10-to-be-created-with-defa.patch
- Add missing patches which exist in SLE12-SP3 and should be in
SLE15 too,
- mdadm: improve the dlm locking mechanism for clustered raid
(bsc#1049126)
0218-mdadm-improve-the-dlm-locking-mechanism-for-clustere.patch
- Assemble: provide protection when clustered raid do assemble
(bsc#1049126)
0219-Assemble-provide-protection-when-clustered-raid-do-a.patch
- Assemble: cleanup the failure path
(bsc#1049126)
0220-Assemble-cleanup-the-failure-path.patch
- Assemble: remove the protection when clustered raid do assemble
(bsc#1101348)
0221-Assemble-remove-the-protection-when-clustered-raid-d.patch
- 1001-display-timeout-status.patch
- mdadm.spec
Change %doc to %license for COPYING file, which was warned during
'osc ci'.
- imsm: change reserved space to 4MB
(bsc#1101110)
0212-imsm-change-reserved-space-to-4MB.patch
- imsm: add functions to get and set imsm dev size
(bsc#1101110)
0213-imsm-add-functions-to-get-and-set-imsm-dev-size.patch
- imsm: pass already existing map to imsm_num_data_members
(bsc#1101110)
0214-imsm-pass-already-existing-map-to-imsm_num_data_memb.patch
- imsm: do not use blocks_per_member in array size calculations
(bsc#1101110)
0215-imsm-do-not-use-blocks_per_member-in-array-size-calc.patch
- imsm: correct num_data_stripes in metadata map for migration
(bsc#1101110)
0216-imsm-correct-num_data_stripes-in-metadata-map-for-mi.patch
- mdadm/grow: correct size and chunk_size casting
(bsc#1095177)
0217-mdadm-grow-correct-size-and-chunk_size-casting.patch
- Assemble: prevent segfault with faulty "best" devices
(bsc#1082766, bsc#1095729)
0211-Assemble-prevent-segfault-with-faulty-best-devices.patch

==== messagelib ====
Version update (18.08.3 -> 18.12.0)
Subpackages: messagelib-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* Make sure to not update when not necessary
* Add autotests for excluding some "head"
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* templateparserextracthtmlinfo.cpp - deleteLater in dtor (kde#401337)
* Fix return value
* Remove unused variable
* Already initialized in header
* Fix mem leak
* Add parent to menu (Fix potential mem leak)
* Fix export class
* Clean icon theme when we delete theme class
* Exclude Refresh from MetaData (Not necessary)
* Fix mem leak found by asan
* Fix API (need for fixing mem leak found by asan)
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Too many changes to list here

==== mobipocket ====
Version update (18.08.3 -> 18.12.0)

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Remove Qt prefix

==== mozilla-nss ====
Version update (3.39 -> 3.40.1)
Subpackages: libfreebl3 libsoftokn3 mozilla-nss-certs mozilla-nss-tools

- update to NSS 3.40.1
* required by Firefox 64.0
* patch release fixes CVE-2018-12404
Notable bug fixes
* FFDHE key exchange sometimes fails with decryption failure (bmo#1478698)
New functionality
* The draft-00 version of encrypted SNI support is implemented
* tstclnt now takes -N option to specify encrypted SNI key
Notable changes
* The mozilla::pkix library has been ported from Mozilla PSM to NSS.
This is a C++ library for building certification paths.
mozilla::pkix APIs are not exposed in the libraries NSS builds.
* It is easier to build NSS on Windows in mozilla-build environments
* The following CA certificates were Removed:
CN = Visa eCommerce Root

==== mtools ====
Version update (4.0.20 -> 4.0.22)

- Use noun phrase in summary.
- Fix excessively large keyring.
- mtools 4.0.22:
* Fixed -f flag for mformat (size is KBytes, rather than sectors)
* Fixed toupper/tolower usage (unsigned char rather than plain
signed)
- mtools 4.0.21:
* Addressed compiler warnings
* Fixed length handling in character set conversion (Unicode file
names)
* Fixed matching of character range, when containing Unicode
characters (mdir "c:test[?-?].exe")
* Fixed initialization of my_scsi_cmd constructor

==== nautilus ====
Version update (3.30.4 -> 3.30.5)
Subpackages: gnome-shell-search-provider-nautilus libnautilus-extension1
nautilus-lang

- Update to version 3.30.5:
+ Fix a bunch of compiler warnings that could prevent building.
+ Fix location entry icon not reacting to clicks.

==== okular ====
Version update (18.08.3 -> 18.12.0)
Subpackages: okular-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* Fix regression in Ctrl+Wheel zoom when using the touchpad
* Update version for next stable release
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* Fix inconsistent viewport positioning in PageView
* Fix DjVu links pointing to pages with different dimensions
* Explicitly import Qt 5.7's QtQuick for Connections.enabled
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Too many changes to list here

==== openssh ====
Subpackages: openssh-helpers

- Update the firewall rules in Tumbleweed

==== os-prober ====

- Don't hard require btrfsprogs by downgrading it to suggests (boo#1118279)
* os-prober-make-btrfsprogs-optional.patch

==== oxygen5-icon-theme ====
Version update (5.52.0 -> 5.53.0)
Subpackages: oxygen5-icon-theme-large

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* No code changes since 5.52.0

==== pam-config ====
Version update (0.95 -> 0.96)

- Update to version 0.96:
* Add missing pam_cracklib options [bsc#1114835]

==== pangomm1_4 ====
Version update (2.40.1 -> 2.42.0)

- Update to version 2.42.0:
+ Attribute: Add several create_attr_*() methods.
+ FontDescription: Add set/get_variations().
- Changes from version 2.40.2:
+ Build: Replace the Visual Studio project files with MSVC NMake
project files.

==== patterns-gnome ====
Subpackages: patterns-gnome-gnome patterns-gnome-gnome_basis
patterns-gnome-gnome_basis_opt patterns-gnome-gnome_games
patterns-gnome-gnome_ide patterns-gnome-gnome_imaging
patterns-gnome-gnome_internet patterns-gnome-gnome_multimedia
patterns-gnome-gnome_office patterns-gnome-gnome_utilities
patterns-gnome-gnome_x11 patterns-gnome-gnome_yast
patterns-gnome-sw_management_gnome

- No longer recommend deja-dup: there are so many variants for
users to maintain their backups (e.g. cloud storage) that
deja-dup is no longer in the position of being unique.
Additionally, we no longer need to pull in python2 on the default
installation (boo#1119220).

==== pcre2 ====
Subpackages: libpcre2-16-0 libpcre2-8-0

- Build with --enable-jit-sealloc option, otherwise when
selinux is enabled or systemd memory protections are on,
programs will fail to work with execmem violations.

==== perl ====
Version update (5.26.2 -> 5.28.1)
Subpackages: perl-base perl-doc

- update to perl-5.28.1
* [CVE-2018-18311] Integer overflow leading to buffer overflow
* [CVE-2018-18312] Heap-buffer-overflow write in S_regatom
* updated Module::CoreList module
- simplify perl_gen_filelist macro
- fix testing fatal errors in gdbm
new patch: perl-gdbm-test-no-mmap.diff
- fix perl no longer setting $^X if /proc is not mounted
new patch: perl-revert-caretx.diff
- change the perl_gen_filelist macro so that the modules no
longer own the perl_vendorarch directory [bnc#1109754]
- update to perl-5.28.0
* Core Enhancements
* Unicode 10.0 is supported
* delete on key/value hash slices
* Experimentally, there are now alphabetic synonyms for some regular
expression assertions
* Mixed Unicode scripts are now detectable
* In-place editing with perl -i is now safer
* Initialisation of aggregate state variables
* Full-size inode numbers
* The sprintf %j format size modifier is now available with pre-C99 compilers
* Close-on-exec flag set atomically
* String- and number-specific bitwise ops are no longer experimental
* Locales are now thread-safe on systems that support them
* New read-only predefined variable ${^SAFE_LOCALES}
* Security
* [CVE-2017-12837] Heap buffer overflow in regular expression compiler
* [CVE-2017-12883] Buffer over-read in regular expression parser
* [CVE-2017-12814] $ENV{$key} stack buffer overflow on Windows
* Default Hash Function Change
* Full list of changes:
https://metacpan.org/pod/release/XSAWYERX/perl-5.28.0/pod/perldelta.pod
- update perl-5.26.0.dif to perl-5.28.0.dif
- drop patch perl-pp-crypt.patch (included upstream)
- perl-pp-crypt.patch: fix incompatibility with libxcrypt (bsc#1107973)

==== perl-JSON ====
Version update (2.97001 -> 4.00)

- updated to 4.00
see /usr/share/doc/packages/perl-JSON/Changes
4.00 2018-12-07
- production release
3.99_01 2018-12-03
- BACKWARD INCOMPATIBILITY:
As JSON::XS 4.0 changed its policy and enabled allow_nonref
by default, JSON::PP, and thus JSON, also enabled allow_nonref
by default
- updated backportPP with JSON::PP 3.99_01
- allow PERL_JSON_PP_USE_B environmental variable to restore
old number detection behavior for compatibility

==== php7 ====
Version update (7.2.12 -> 7.3.0)
Subpackages: apache2-mod_php7 php7-bcmath php7-bz2 php7-calendar php7-ctype
php7-curl php7-dba php7-devel php7-dom php7-exif php7-fastcgi php7-ftp php7-gd
php7-gettext php7-gmp php7-iconv php7-json php7-ldap php7-mbstring php7-mysql
php7-odbc php7-openssl php7-pdo php7-pear php7-pear-Archive_Tar php7-pgsql
php7-shmop php7-snmp php7-sockets php7-sqlite php7-sysvsem php7-sysvshm
php7-tidy php7-tokenizer php7-wddx php7-xmlreader php7-xmlwriter php7-xsl
php7-zlib

- Enable testsuite during build time and save log to subpackage
testresults (boo#1119396)
- update to pcre2 broke building third party modules, php7-devel
needs pcre-devel --> pcre2-devel change.
- update to 7.3.0:
* Improved PHP GC
* Add net_get_interfaces()
* Implemented flexible heredoc and nowdoc syntax
* Added support for references in list() and array destructuring
* Added syslog.facility and syslog.ident INI entries for
customizing syslog logging
* The declaration and use of case-insensitive constants has been
deprecated
* Added syslog.filter INI entry for syslog filtering
* Added the 'add_slashes' sanitization mode
* Added support for WebP in imagecreatefromstring()
* Export internal structures and accessor helpers for GMP object.
* Added gmp_binomial(n, k)
* Added gmp_lcm(a, b)
* Added gmp_perfect_power(a)
* Added gmp_kronecker(a, b)
* Added JSON_THROW_ON_ERROR flag
* Added ldap_exop_refresh helper for EXOP REFRESH operation with
dds overlay
* Added full support for sending and parsing ldap controls
* Removed support for ODBCRouter
* Removed support for Birdstep
* Added openssl_pkey_derive function
* Add min_proto_version and max_proto_version ssl stream options
as well as related constants for possible TLS protocol values
* Migrated to PCRE2
* Expose TDS version as \PDO::DBLIB_ATTR_TDS_VERSION attribute
on \PDO instance
* Treat DATETIME2 columns like DATETIME
* Added is_countable() function
* Added support for the SameSite cookie directive, including an
alternative signature for setcookie(), setrawcookie() and
session_set_cookie_params()
* Many bugfixes and other changes, see
http://php.net/ChangeLog-7.php#7.3.0
- patch changes
% php7-ini.patch
% php7-no-build-date.patch
% php7-odbc-cmp-int-cast.patch
- php7-honor-re2c-flags.patch (upstreamed)
- update to 7.2.13: This is a security release.
http://php.net/ChangeLog-7.php

==== pimcommon ====
Version update (18.08.3 -> 18.12.0)
Subpackages: libKF5PimCommon5 libKF5PimCommonAkonadi5 pimcommon-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* Fix potential mem leak
* Fix mem leak found in kmail plugin found by asan.
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* QT_NO_NARROWING_CONVERSIONS_IN_CONNECT is defined in kf5.51
* License maintenance: GPLv2 -> GPLv2+
* Fix minor EBN issues
* Remove duplicate line
* Add purpose support here
* Install config-pimcommon.h
* improve autotest
* Prepare autotest
* Move widget here
* increase version
* It shouldn't be needed to Q_DECLARE_METATYPE with QList<int> any longer
* Add statusbar support
* use new syntax
* Don't use QChar as const'ref

==== plasma-framework ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5Plasma5 plasma-framework-components plasma-framework-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use isEmpty()
* Remove virtual keyword
* same behavior as qwidgets comboboxes
* feature parity of Menu with the Desktop style
* default values for tooltips
* make sure flickables are pixelaligned
* Simplify reference counting of FrameData
* less spacing
* ASAN: Fix memory leak in CalendarPlugin
* ASAN: Fix memory leak in DataSource
* ASAN: Fix memory leak in Corona
* ASAN: Fix leak in AppletQuickItem
* Remove ComponentInstaller
* Qt 5.9 is now the minimum required version
* Add back (accidentally?) deleted line in CMakeLists.txt
* 100% consistency with kirigami heading sizing
* more homogeneous look with Kirigami headings
* install the processed version of private imports
* Mobile text selection controls
* Update breeze-light and breeze-dark colorschemes
* Make sure private header fields are initialized
* Summary: After this commit
https://cgit.kde.org/plasma-framework.git/commit/?id=9f08668147d2e99f8b5069ff50d5c54e672a87af
the iconitemtest started to fail, the reason was just a typo in the initial
"if" so it does exactly the same in the "if" and the "else" part. So let's
correct it to do what it is suposed to do.
* remove unneeded include
* Remove qt include prefix

==== plasma5-desktop ====
Subpackages: plasma5-desktop-lang

- Add back xf86-input-synaptics recommends as libinput configuration
is still lacking, leading to complaints

==== prison-qt5 ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5Prison5 prison-qt5-imports

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* No code changes since 5.52.0

==== purpose ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5Purpose5 libKF5PurposeWidgets5 purpose-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* DiffListModel::refresh(): return at once when already active.
* phabricator plugin: use Arcanist's diff.rev. order (kde#401565)
* Remove unneeded import
* Provide a title for JobDialog
* Allow the JobDialog to get a nicer initial size (kde#400873)
* Make it possible for the menudemo to share different urls
* Port what we can to QQC2
* Use QQC2 for the JobDialog (kde#400996, kde#400997)

==== python-rpm-macros ====
Version update (2018.08.15.ada6d63 -> 20181211.ab6f37c)

- Update to version 20181211.ab6f37c:
* Fix an issue with epoch printing having too many \
* Remove packaging/ dir
- Update to version 1540475376.149a499:
* add epoch while printing "Provides:"
- Update URL
- Add _service and use the tar_scm/recompress/set_version source
services to update the package.
Package updates can now be done with "osc service run"
- Drop README.packaging
- Drop update.sh . This is now handled via the source services

==== seahorse ====
Version update (3.30 -> 3.30.1.1)
Subpackages: gnome-shell-search-provider-seahorse seahorse-lang

- Update to version 3.30.1.1:
+ Fix Vala build issue due to GLib.List type mismatch.
- Changes from version 3.30.1:
+ gkr: Passwords are filtered out when "personal".
+ ssh: Fix key creation with quotes in the name.
+ pgp: A progress bar is again shown when creating a PGP key.
+ Resolved a crash when pasting e.g. a file into the window.
+ Updated translations.

==== solid ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5Solid5 libKF5Solid5-lang solid-imports solid-tools

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use isEmpty()
* Remove virtual keyword
* Remove Qt prefix include
* Fix root disk icon change so that it doesn't erroneously change other icons
* Normalize signal/slot
* Use the new `drive-harddisk-root` icon for the root volume

==== sonnet ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5SonnetCore5 libKF5SonnetCore5-lang libKF5SonnetUi5

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* DictionaryComboBoxTest: Add stretch to avoid expanding Dump button
* Use new syntax
* Remove virtual keyword

==== spectacle ====
Version update (18.08.3 -> 18.12.0)
Subpackages: spectacle-lang

- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* No code changes since 18.11.80
- Run spec-cleaner
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Too many changes to list here

==== syndication ====
Version update (5.52.0 -> 5.53.0)

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* No code changes since 5.52.0

==== syntax-highlighting ====
Version update (5.52.0 -> 5.53.0)
Subpackages: libKF5SyntaxHighlighting5 libKF5SyntaxHighlighting5-lang

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* fix unit tests
* BrightScript: Allow sub to be unnamed
* Add highlighting file for Wayland Debug Traces
* Add syntax highlighting for TypeScript & TypeScript React
* Rust & Yacc/Bison: improve comments
* Prolog & Lua: fix shebang
* Fix language load after including keywords from this language in another
file
* Add BrightScript syntax
* debchangelog: add Disco Dingo

==== systemd-presets-branding-openSUSE ====

- Remove mdcheck_start.timer and mdmonitor-oneshot.timer.
The should have been in systemd-presents-common-SUSE.
- Eanble new mdadm timers mdcheck_start.timer and mdmonitor-oneshot.timer
(bsc#1115407)

==== texinfo ====
Subpackages: info makeinfo

- Update perl-5.28-fixes.patch: Update locale handling for Perl 5.28.
Perl 5.28 introduced thread-safe locales, where setlocale()
only affects the locale of the current thread. External code
like mbrtowc(3) isn't aware of this thread specific locale,
so we need to explicitly modify the global one instead.

==== threadweaver ====
Version update (5.52.0 -> 5.53.0)

- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* No code changes since 5.52.0

==== totem ====
Version update (3.26.2 -> 3.30.0)
Subpackages: nautilus-totem totem-lang totem-plugins

- Update to version 3.30.0:
+ Add frame stepping shortcuts to the keyboard shortcuts list.
+ Fix opensubtitles plugin not working.
+ Fix problems using gallery generation feature in screenshot
plugin.
+ Make sure not to autostart gnome-screensaver when running in
non-GNOME.
+ Build fixes.

==== tuned ====
Version update (2.8.0 -> 2.10.0)

- Go for 2.10.0 full version in _service (even this is rc1)
bsc#1071436
Latest included git commit:
commit 3722b151920dc20735dc15cbd45aed7b573fdfc2
Date: Wed Nov 21 14:21:32 2018 +0100
Still keep the old git version parameter commented out, maybe
I need this again.
- Since cpupower also has perf_bias binary, the cpupower call to
switch this has been reverted to lower maintenance overhead
D check_for_cpupower.patch
D use-cpupower-for-intel-perf-bias.patch
- Update to version 2.10.0:
* Add range feature for cpu exclusion
* Disable KSM only once, re-enable it only on full rollback
* Add log message for unsupported parameters in plugin_net
* Add missing feature parameters aliases to plugin_net
* Make virtual-host identical to latency-performance
- Reintroduce the _service file as we must use git head in order to
get all the python3 fixes in
- Update to version 2.9.0+git20180328.d25e8b8:
* makefile: dropped KVM unit tests, now provided by standalone package
* sysctl: support assignment modifiers as other plugins do
* spec: used weak deps for tuned-profiles-nfv-host-bin
* Added requires to tuned-profiles-nfv-host-bin
* Dropped tuned-profiles-nfv-host-bin subpackage
* tuned: Add readahead comment to throughput-performance tuned.conf
* oracle: fixed ip_local_port_range parity warning
* Consistently use 'balance' instead of 'rebalance' in cpu-partitioning
- Rebase check_for_cpupower.patch to apply cleanly again
- Version update to 2.9.0:
* python3 porting start
* various small fixes
- Drop patches merged upstream:
* fix-desktop-category.patch
* remove-unnecessary-shebangs.patch
* fix-glade-file-permission.patch
- Switch to autopatch from calling all individual patchlines
- Switch to python3 and format with spec-cleaner
- Switch to normal url fetching, there is no actual reason to run
service in order to generate the versioned tarballs

==== unbound ====
Version update (1.8.1 -> 1.8.3)
Subpackages: libunbound2 unbound-anchor

- update to 1.8.3 fixes crash bug introduced in 1.8.2
in the dns64 processing.
- update to 1.8.2
Features
- Add fast-server-permil and fast-server-num options.
- Deprecate low-rtt and low-rtt-permil options.
- Change fast-server-num default to 3.
- Fix #4154: make ECS_MAX_TREESIZE configurable, with
the max-ecs-tree-size-ipv4 and max-ecs-tree-size-ipv6 options.
- Fix #4190: Please create a "ANY" deny option, adds the option
deny-any: yes in unbound.conf. This responds with an empty message
to queries of type ANY.
- Fix #4126: RTT_band too low on VSAT links with 600+ms latency,
adds the option unknown-server-time-limit to unbound.conf that
can be increased to avoid the problem.
- Add min-client-subnet-ipv6 and min-client-subnet-ipv4 options.
- Support SO_REUSEPORT_LB in FreeBSD 12 with the so-reuseport: yes
option in unbound.conf.
- Add unbound-control view_local_datas command, like local_datas.
Bug Fixes
- dnscrypt.c removed sizeof to get array bounds.
- Fix testlock code to set noreturn on error routine.
- Remove unused variable from contrib fastrpz/rpz.c and
remove unused diagnostic pragmas that themselves generate warnings
- clang analyze test is used only when assertions are enabled.
- Squelch EADDRNOTAVAIL errors when the interface goes away,
this omits 'can't assign requested address' errors unless
verbosity is set to a high value.
- Set default for so-reuseport to no for FreeBSD. It is enabled
by default for Linux and DragonFlyBSD. The setting can
be configured in unbound.conf to override the default.
- iana port update.
- Squelch log of failed to tcp initiate after TCP Fastopen failure.
- Fix #4192: unbound-control-setup generates keys not readable by
group.
- check that the dnstap socket file can be opened and exists, print
error if not.
- Add markdel function to ECS slabhash.
- Limit ECS scope returned to client to the scope used for caching.
- Fix #4191: NXDOMAIN vs SERVFAIL during dns64 PTR query.
- Fix #4141: More randomness to rrset-roundrobin.
- Fix #4132: Openness/closeness of RANGE intervals in rpl files.
- remade makefile dependencies.
- Fix #4152: Logs shows wrong time when using log-time-ascii: yes.
- Scrub NS records from NXDOMAIN responses to stop fragmentation
poisoning of the cache.
- Scrub NS records from NODATA responses as well.
- Add patch from Jan Vcelak for pythonmod,
add sockaddr_storage getters, add support for query callbacks,
allow raw address access via comm_reply and update API documentation.
- Removed compile warnings in pythonmod sockaddr routines.
- With ./configure --with-pyunbound --with-pythonmodule
PYTHON_VERSION=3.6 or with 2.7 unbound can compile and unit tests
succeed for the python module.
- pythonmod logs the python error and traceback on failure.
- ignore debug python module for test in doxygen output.
- review fixes for python module.
- Fix #4209: Crash in libunbound when called from getdns.
- auth zone zonefiles can be in a chroot, the chroot directory
components are removed before use.
- Fix that empty zonefile means the zonefile is not set and not used.
- Fix to not set GLOB_NOSORT so the unbound.conf include: files are
sorted and in a predictable order.
- Fix #4193: Fix that prefetch failure does not overwrite valid cache
entry with SERVFAIL.
- Fix DNS64 to not store intermediate results in cache, this avoids
other threads from picking up the wrong data. The module restores
the previous no_cache_store setting when the the module is finished.
- Fix #4208: 'stub-no-cache' and 'forward-no-cache' not work.
- New and better fix for Fix #4193: Fix that prefetch failure does
not overwrite valid cache entry with SERVFAIL.
- auth-zone give SERVFAIL when expired, fallback activates when
expired, and this is documented in the man page.
- stat count SERVFAIL downstream auth-zone queries for expired zones.
- Update contrib fastrpz patch for latest release.
- Fix chroot auth-zone fix to remove chroot prefix.

==== vala ====
Version update (0.42.2 -> 0.42.3)
Subpackages: libvala-0_42-0

- Update to version 0.42.3:
+ Various improvements and bug fixes:
- codegen:
. Initialize internal temp-variables used as reference
parameter.
. Improve ccode for fixed-length array parameters.
. Fix regex literal compile flags.
. Add prototype for *_register_type() function.
. Don't emit *_free() of derived compact classes.
. Add prototype for *_new() of abstact compact classes.
- girwriter: Fix ctype of out/ref and array parameters.
- ccode: Fix typo and actually check "end_decls".
- abstract syntax tree:
. Always analyze nodes after they are inserted into the AST.
. Add source_reference to local variable of catch-clause.
. Add missing replace_expression() implementations.
. Fix several construction/parenting issues.
. DataType for GLib.Error should be should resolved as
ErrorType.
- libvaladoc: Add "unlock" to keywords in Highligher.
- posix:
. Add replacement for G_(BEGIN|END)_DECLS.
. Don't check for GLib.Variant casting.
- testrunner: Reset $run_prefix before generating next test
script.
- build: Unconditionally add conditional VALAFLAGS to make
bootstrap.
- doc: Fix build of internal-api-docs.
- manual: Update from wiki.gnome.org.
+ Bindings:
- glib-2.0: Computing length once is enough in
string.to_utf8()/splice().
- glib-2.0: Add binding for g_test_add().
- glib-2.0: Add array length to string.skip.
- gio-2.0: Result of DBusMessage.get_header() is unowned.
- gobject-2.0,gtk+-*.0: Fix some GLib.Value out/ref parameters.
- gstreamer: Update from 1.15+ git master.
- gtk+-4.0: Update to 3.94.0+b4b30b49.

==== vte ====
Version update (0.54.2 -> 0.54.3)
Subpackages: libvte-2_91-0 typelib-1_0-Vte-2.91 vte-lang

- Update to version 0.54.3:
+ widget:
- Disconnect GtkSettings signals in destructor.
- Don't show the cursor occasionally over the scrollback data.
- Fix URL recognition after dragging the scrollbar.
- Drop patches fixed upstream:
+ vte-widget-Dont-show-cursor-occasionally.patch.
+ vte-widget-Fix-URL-recognition.patch.
- Add upstream bug fix patches:
+ vte-widget-Fix-URL-recognition.patch: widget: Fix URL
recognition after dragging the scrollbar.
+ vte-widget-Dont-show-cursor-occasionally.patch: widget: Don't
show the cursor occasionally over the scrollback data.

==== webkit2gtk3 ====
Version update (2.22.4 -> 2.22.5)
Subpackages: libjavascriptcoregtk-4_0-18 libwebkit2gtk-4_0-37
libwebkit2gtk3-lang typelib-1_0-JavaScriptCore-4_0 typelib-1_0-WebKit2-4_0
webkit2gtk-4_0-injected-bundles

- Update to version 2.22.5:
+ Improved the logic to determine for which architectures to
enable the JIT compiler support and USE_SYSTEM_MALLOC at build
time.
+ Fix the build with ENABLE_VIDEO=OFF and ENABLE_OPENGL=OFF.
+ Fix several crashes.
+ Security fixes: CVE-2018-4437, CVE-2018-4438, CVE-2018-4441,
CVE-2018-4442, CVE-2018-4443, CVE-2018-4464.

==== xdm ====
Subpackages: xdm-xsession

- Add OnFailure=plymouth-quit.service to display-manager service.
(bsc#1118121)

==== yast2-apparmor ====
Version update (4.1.1 -> 4.1.3)

- More about hardening commands execution (part of bsc#1118291).
- Replace backticks by Yast::Execute.
- 4.1.3
- Hardening execution of system commands (part of bsc#1118291).
- 4.1.2

==== zypper ====
Version update (1.14.17 -> 1.14.19)
Subpackages: zypper-aptitude zypper-log

- CLI parser: fix broken initialization enforcing 'select by name'
(bsc#1119820)
- zypper.conf: [commit] autoAgreeWithLicenses {=false} (fixes #220)
- locks: Fix printing of versioned locks (bsc#1112911)
- locks: create and write versioned locks correctly (bsc#1112911)
- patch: --with update may implicitly assume --with-optional
(bsc#1102261)
- version 1.14.19
- no-recommends: Nevertheless consider resolver namespaces (hardware,
language,..supporting packages) (FATE#325513)
- BuildRequires: libzypp-devel >= 17.10.2
- version 1.14.18


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups